(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[    153747,       3198]
NotebookOptionsPosition[    151943,       3137]
NotebookOutlinePosition[    152299,       3153]
CellTagsIndexPosition[    152256,       3150]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["\:4e09\:6b21\:5143Plot\:753b\:50cf\:306e\:7acb\:4f53\:8996", "Subtitle",
 CellChangeTimes->{{3.835827891932643*^9, 3.8358279376895733`*^9}}],

Cell[CellGroupData[{

Cell["\:30ac\:30f3\:30de\:95a2\:6570\:ff08\:7b49\:9ad8\:7dda\:306a\:3057\:ff09\
", "Subsection",
 CellChangeTimes->{{3.8358279891619697`*^9, 3.8358279891619697`*^9}, {
  3.8358280539906387`*^9, 3.8358280704086895`*^9}},
 FontFamily->"Arial",
 FontSize->16],

Cell[BoxData[
 RowBox[{"Stereo1", "=", "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"f", ",", 
      RowBox[{"pM", "=", "4"}], ",", "vX", ",", "vY", ",", "vZ", ",", "view", 
      ",", 
      RowBox[{"c", "=", "0.03"}], ",", "\[Phi]"}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"f", "[", 
       RowBox[{"x_", ",", "y_"}], "]"}], ":=", 
      RowBox[{"Gamma", "[", 
       RowBox[{"x", "+", 
        RowBox[{"I", " ", "y"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"vX", ",", "vY", ",", "vZ"}], "}"}], "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "2.84"}], ",", 
        RowBox[{"-", "1.23"}], ",", "1.35"}], "}"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"\[Phi]", "[", "s_", "]"}], ":=", 
      RowBox[{"N", "[", 
       RowBox[{
        RowBox[{"ArcTan", "[", 
         RowBox[{"vX", ",", "vY"}], "]"}], "+", 
        RowBox[{"s", "*", 
         RowBox[{"ArcTan", "[", 
          RowBox[{
           SqrtBox[
            RowBox[{
             SuperscriptBox["vX", "2"], "+", 
             SuperscriptBox["vY", "2"]}]], ",", "c"}], "]"}]}]}], "]"}]}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"view", "[", "s_", "]"}], ":=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         SqrtBox[
          RowBox[{
           SuperscriptBox["vX", "2"], "+", 
           SuperscriptBox["vY", "2"], "+", 
           SuperscriptBox["c", "2"]}]], " ", 
         RowBox[{"Cos", "[", 
          RowBox[{"\[Phi]", "[", "s", "]"}], "]"}]}], ",", 
        RowBox[{
         SqrtBox[
          RowBox[{
           SuperscriptBox["vX", "2"], "+", 
           SuperscriptBox["vY", "2"], "+", 
           SuperscriptBox["c", "2"]}]], " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"\[Phi]", "[", "s", "]"}], "]"}]}], ",", "vZ"}], "}"}]}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"GraphicsRow", "[", 
      RowBox[{
       RowBox[{"Table", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"Plot3D", "[", 
          RowBox[{
           RowBox[{"Min", "[", 
            RowBox[{
             RowBox[{"Abs", "[", 
              RowBox[{"f", "[", 
               RowBox[{"x", ",", "y"}], "]"}], "]"}], ",", "pM"}], "]"}], ",",
            "\[IndentingNewLine]", 
           RowBox[{"{", 
            RowBox[{"x", ",", 
             RowBox[{"-", "4"}], ",", "5"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"y", ",", 
             RowBox[{"-", "4.5"}], ",", "4.5"}], "}"}], ",", 
           RowBox[{"PlotRange", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{"0", ",", "pM"}], "}"}]}], ",", 
           RowBox[{"PlotPoints", "\[Rule]", "400"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"MaxRecursion", "\[Rule]", "1"}], ",", 
           RowBox[{"BoxRatios", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{"1", ",", "1", ",", "1"}], "}"}]}], ",", 
           RowBox[{"ViewPoint", "\[Rule]", 
            RowBox[{"view", "[", "s", "]"}]}], ",", "\[IndentingNewLine]", 
           RowBox[{"ColorFunction", "\[Rule]", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"Hue", "[", 
               RowBox[{
                RowBox[{"Arg", "[", 
                 RowBox[{"f", "[", 
                  RowBox[{"#1", ",", "#2"}], "]"}], "]"}], "/", 
                RowBox[{"(", 
                 RowBox[{"2", " ", "Pi"}], ")"}]}], "]"}], "&"}], ")"}]}], 
           ",", 
           RowBox[{"ColorFunctionScaling", "\[Rule]", "False"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Mesh", "\[Rule]", "None"}], ",", 
           RowBox[{"Exclusions", "\[Rule]", "None"}], ",", 
           RowBox[{"AxesLabel", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{"\"\<Re(z)\>\"", ",", "\"\<Im(z)\>\"", ",", "None"}], 
             "}"}]}], ",", "\[IndentingNewLine]", 
           RowBox[{"LabelStyle", "\[Rule]", 
            RowBox[{"(", 
             RowBox[{"FontSize", "\[Rule]", "12"}], ")"}]}], ",", 
           RowBox[{"TicksStyle", "\[Rule]", "10"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{"s", ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "}"}]}], "]"}], ",", 
       RowBox[{"ImageSize", "\[Rule]", "600"}], ",", 
       RowBox[{"Spacings", "\[Rule]", "0"}]}], "]"}]}]}], "]"}]}]], "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.528535250407896*^9, 3.528535461772667*^9}, {
   3.528535505998745*^9, 3.528535506622746*^9}, {3.528593875220598*^9, 
   3.528593992798005*^9}, {3.5285940247468605`*^9, 3.52859412669304*^9}, {
   3.5285947016184196`*^9, 3.528594820459429*^9}, {3.5285948555906906`*^9, 
   3.528594936508033*^9}, {3.5285949979721403`*^9, 3.5285950379706106`*^9}, {
   3.528595075348276*^9, 3.528595214656521*^9}, {3.528595415491274*^9, 
   3.528595436442111*^9}, {3.528595716743403*^9, 3.5285958153043756`*^9}, {
   3.5285958613244567`*^9, 3.528595921665363*^9}, {3.528595966640242*^9, 
   3.5285960360447636`*^9}, {3.5285960777748375`*^9, 3.52859607930364*^9}, 
   3.528601840446159*^9, {3.5286066000129185`*^9, 3.528606611666139*^9}, {
   3.528607446049205*^9, 3.528607484815273*^9}, {3.5286179259540014`*^9, 
   3.528617959704932*^9}, {3.5286180519432077`*^9, 3.528618114140765*^9}, {
   3.5286181589773293`*^9, 3.528618194373354*^9}, 3.5286184556132965`*^9, 
   3.528618488088154*^9, {3.5286185781783066`*^9, 3.528618632754428*^9}, {
   3.52861872387864*^9, 3.5286187241576557`*^9}, {3.528618774981563*^9, 
   3.5286187752255774`*^9}, 3.5286189682036147`*^9, {3.528619009909*^9, 
   3.5286190120061197`*^9}, {3.528619442909766*^9, 3.528619451910281*^9}, {
   3.5286214386949186`*^9, 3.5286214646354027`*^9}, {3.5286222532055063`*^9, 
   3.528622288166506*^9}, 3.52866506133381*^9, 3.5286651054974875`*^9, {
   3.5286651514707685`*^9, 3.528665155292775*^9}, {3.5287006732862062`*^9, 
   3.528700705625063*^9}, {3.5287008793313684`*^9, 3.5287008818741727`*^9}, {
   3.5287009125126266`*^9, 3.5287009144938297`*^9}, 3.5289407729676*^9, {
   3.5289408531049404`*^9, 3.528940862636557*^9}, {3.5289411067145863`*^9, 
   3.528941109475791*^9}, {3.528941393177889*^9, 3.528941398762699*^9}, {
   3.537348938664707*^9, 3.5373490618737235`*^9}, {3.5373491308258443`*^9, 
   3.537349165535906*^9}, {3.5373492076091795`*^9, 3.537349229730018*^9}, {
   3.5373493348586025`*^9, 3.5373493396790113`*^9}, 3.537349383437088*^9, 
   3.537353404376486*^9, {3.537372423785405*^9, 3.5373724344870243`*^9}, {
   3.537372467356282*^9, 3.537372469041085*^9}, {3.537372501021141*^9, 
   3.537372529272791*^9}, {3.5373860590361547`*^9, 3.5373860737625804`*^9}, {
   3.537686934522904*^9, 3.5376869804337845`*^9}, 3.5376870230374594`*^9, 
   3.537687075141551*^9, {3.537687172360922*^9, 3.5376871805509357`*^9}, {
   3.5376873505920353`*^9, 3.537687431961778*^9}, 3.537687479666662*^9, {
   3.5376885407109256`*^9, 3.5376885430197296`*^9}, 3.5402885879720693`*^9, {
   3.6036539407572165`*^9, 3.603653993500909*^9}, {3.671138160761835*^9, 
   3.671138191259888*^9}, 3.691446775317408*^9, 3.699181982182391*^9, 
   3.699182094845789*^9, 3.7203980429087944`*^9, {3.720398080754461*^9, 
   3.720398132780552*^9}, {3.73514753250068*^9, 3.735147541111895*^9}, {
   3.7945196847464128`*^9, 3.794519685589965*^9}, {3.7967781603777843`*^9, 
   3.796778261046833*^9}, {3.7967783362389903`*^9, 3.796778410002986*^9}, {
   3.7967784438700924`*^9, 3.7967788610227284`*^9}, {3.796778940176092*^9, 
   3.7967790002089524`*^9}, {3.7967791061998334`*^9, 3.796779195272823*^9}, 
   3.796779228030768*^9, {3.796779260570079*^9, 3.796779286548357*^9}, 
   3.7967793173068013`*^9, {3.7967794233445764`*^9, 3.7967794648661265`*^9}, {
   3.7967799131208625`*^9, 3.796779917135522*^9}, 3.7967803187223597`*^9, 
   3.796780353292407*^9, 3.7967804436931515`*^9, {3.7967809984887247`*^9, 
   3.796781012016806*^9}, {3.796781071096761*^9, 3.79678110618232*^9}, {
   3.7967812050498643`*^9, 3.7967812153756056`*^9}, {3.7967812560303373`*^9, 
   3.7967812868668895`*^9}, {3.797841213409622*^9, 3.797841244074354*^9}, {
   3.797841280456472*^9, 3.79784137428675*^9}, 3.7978414131505923`*^9, {
   3.7978446061841683`*^9, 3.7978446064965954`*^9}, {3.8355020111767426`*^9, 
   3.8355020145822*^9}, {3.8355020752555256`*^9, 3.835502076458369*^9}, 
   3.835571126583603*^9, {3.835571259677885*^9, 3.835571274971156*^9}, {
   3.835571318695341*^9, 3.835571335019659*^9}, {3.835571474393384*^9, 
   3.835571476814631*^9}, {3.8360127708699017`*^9, 3.836013042994076*^9}, 
   3.836013096466008*^9, {3.836013157639306*^9, 3.8360132087367563`*^9}, {
   3.8360133314041624`*^9, 3.8360133815956144`*^9}, {3.836013421961219*^9, 
   3.836013425663489*^9}, 3.836013466232173*^9, 3.8360135424956355`*^9}],

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{"\"\<stereopsis1.png\>\"", ",", "Stereo1", ",", 
   RowBox[{"ImageResolution", "\[Rule]", "200"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.629172579079088*^9, 3.629172606332336*^9}, 
   3.6291729516077423`*^9, {3.6291769649291997`*^9, 3.6291769715436115`*^9}, {
   3.6694294146091456`*^9, 3.669429453390814*^9}, {3.6694295251133394`*^9, 
   3.66942952528494*^9}, {3.669429968483719*^9, 3.6694299792009377`*^9}, 
   3.6695414937726173`*^9, {3.669541542304302*^9, 3.6695415424759026`*^9}, 
   3.6695427872984905`*^9, 3.669542874970644*^9, {3.6696138730631557`*^9, 
   3.6696138903791857`*^9}, {3.6696861629027576`*^9, 3.6696861631211576`*^9}, 
   3.6696862814941654`*^9, 3.66986256065805*^9, 3.6870392901593304`*^9, {
   3.687039490229682*^9, 3.687039497031294*^9}, {3.6870397058220606`*^9, 
   3.687039717615681*^9}, {3.7104498072224054`*^9, 3.7104498169568224`*^9}, 
   3.7104499946099343`*^9, 3.710450869621472*^9, {3.7119561182355337`*^9, 
   3.711956136471966*^9}, 3.711956221055314*^9, 3.7119582648253064`*^9, 
   3.7120398995014544`*^9, {3.712313120838914*^9, 3.7123131210417137`*^9}, {
   3.7326556355609922`*^9, 3.732655660770636*^9}, 3.732657635746906*^9, {
   3.7402166796299*^9, 3.7402167013763385`*^9}, {3.7407684545342298`*^9, 
   3.7407684753758664`*^9}, 3.7407758167939634`*^9, {3.7407763007692137`*^9, 
   3.7407763245436554`*^9}, {3.7407766041429462`*^9, 
   3.7407766173561697`*^9}, {3.7411134740028486`*^9, 
   3.7411134829104643`*^9}, {3.7414207980806737`*^9, 3.741420798283474*^9}, 
   3.744783897470586*^9, {3.7447936789552584`*^9, 3.744793682543265*^9}, 
   3.744852456774804*^9, 3.7448529884293385`*^9, {3.7452073885496655`*^9, 
   3.7452074029640903`*^9}, 3.7460552117927794`*^9, {3.7460559128736105`*^9, 
   3.7460559143244133`*^9}, {3.746991466930862*^9, 3.746991498240117*^9}, 
   3.7469916011066976`*^9, {3.747195658714813*^9, 3.747195677294446*^9}, 
   3.7471972139927454`*^9, 3.7472082014867215`*^9, {3.7472833609617367`*^9, 
   3.747283365080144*^9}, {3.7472973849875746`*^9, 3.7472973942695913`*^9}, 
   3.7482123299439473`*^9, {3.753848474247873*^9, 3.753848493326706*^9}, 
   3.791578362023325*^9, 3.791578711846819*^9, 3.7916240971105227`*^9, {
   3.796780856331231*^9, 3.7967808641419077`*^9}, {3.7967809334125547`*^9, 
   3.796780941770011*^9}, 3.796780987506962*^9, 3.7967810204679894`*^9, 
   3.796781363286549*^9, {3.797841466622506*^9, 3.7978414671067805`*^9}, 
   3.8354819345000877`*^9, 3.8354977670093584`*^9},
 Background->RGBColor[
  0.9019607843137255, 0.9019607843137255, 0.9019607843137255]]
}, Closed]],

Cell[CellGroupData[{

Cell["\:30ac\:30f3\:30de\:95a2\:6570\:ff08\:7b49\:9ad8\:7dda\:3042\:308a\:ff09\
", "Subsection",
 CellChangeTimes->{{3.83582800158099*^9, 3.83582800158099*^9}, {
  3.8358280539906387`*^9, 3.8358280690652857`*^9}},
 FontFamily->"Arial",
 FontSize->16],

Cell[BoxData[
 StyleBox[
  RowBox[{"<<", "Graphics`MathematicalFunctionPlot`"}],
  FontColor->RGBColor[0, 0, 1]]], "Input",
 CellChangeTimes->{{3.5339528699182105`*^9, 3.5339528744110184`*^9}, 
   3.5529279523137803`*^9, {3.795036521413636*^9, 3.7950365258032074`*^9}},
 FontColor->RGBColor[0, 0, 1]],

Cell[BoxData[
 RowBox[{"Stereo2", "=", "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"f", ",", 
      RowBox[{"pM", "=", "4"}], ",", "vX", ",", "vY", ",", "vZ", ",", "view", 
      ",", 
      RowBox[{"c", "=", "0.03"}], ",", "\[Phi]"}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"f", "[", "z_", "]"}], ":=", 
      RowBox[{"Gamma", "[", "z", "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"vX", ",", "vY", ",", "vZ"}], "}"}], "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "2.84"}], ",", 
        RowBox[{"-", "1.23"}], ",", "1.35"}], "}"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"\[Phi]", "[", "s_", "]"}], ":=", 
      RowBox[{"N", "[", 
       RowBox[{
        RowBox[{"ArcTan", "[", 
         RowBox[{"vX", ",", "vY"}], "]"}], "+", 
        RowBox[{"s", "*", 
         RowBox[{"ArcTan", "[", 
          RowBox[{
           SqrtBox[
            RowBox[{
             SuperscriptBox["vX", "2"], "+", 
             SuperscriptBox["vY", "2"]}]], ",", "c"}], "]"}]}]}], "]"}]}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"view", "[", "s_", "]"}], ":=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         SqrtBox[
          RowBox[{
           SuperscriptBox["vX", "2"], "+", 
           SuperscriptBox["vY", "2"], "+", 
           SuperscriptBox["c", "2"]}]], " ", 
         RowBox[{"Cos", "[", 
          RowBox[{"\[Phi]", "[", "s", "]"}], "]"}]}], ",", 
        RowBox[{
         SqrtBox[
          RowBox[{
           SuperscriptBox["vX", "2"], "+", 
           SuperscriptBox["vY", "2"], "+", 
           SuperscriptBox["c", "2"]}]], " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"\[Phi]", "[", "s", "]"}], "]"}]}], ",", "vZ"}], "}"}]}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"GraphicsRow", "[", 
      RowBox[{
       RowBox[{"Table", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"AbsArgPlot3D", "[", 
          RowBox[{
           RowBox[{"f", "[", "z", "]"}], ",", "\[IndentingNewLine]", 
           RowBox[{"{", 
            RowBox[{"z", ",", 
             RowBox[{
              RowBox[{"-", "4"}], "-", 
              RowBox[{"4.5", " ", "I"}]}], ",", 
             RowBox[{"5", "+", 
              RowBox[{"4.5", " ", "I"}]}]}], "}"}], ",", 
           RowBox[{"PlotRange", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{"0", ",", "pM"}], "}"}]}], ",", 
           RowBox[{"PlotPoints", "\[Rule]", "400"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"MaxRecursion", "\[Rule]", "1"}], ",", 
           RowBox[{"BoxRatios", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{"1", ",", "1", ",", "1"}], "}"}]}], ",", 
           RowBox[{"ViewPoint", "\[Rule]", 
            RowBox[{"view", "[", "s", "]"}]}], ",", "\[IndentingNewLine]", 
           RowBox[{"AbsContours", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{"\"\<Log\>\"", ",", "2", ",", 
              RowBox[{"-", "19"}]}], "}"}]}], ",", 
           RowBox[{"ArgContours", "\[Rule]", "4"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"SurfaceProperty", "\[Rule]", 
            RowBox[{"Specularity", "[", 
             RowBox[{"White", ",", "100"}], "]"}]}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"ContoursThickness", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Thickness", "[", "0.0007", "]"}], ",", 
              RowBox[{"Thickness", "[", "0.0005", "]"}]}], "}"}]}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"BoundaryStyle", "\[Rule]", 
            RowBox[{"Directive", "[", 
             RowBox[{
              RowBox[{"GrayLevel", "[", "0", "]"}], ",", 
              RowBox[{"Thickness", "[", "0.0005", "]"}]}], "]"}]}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"AxesLabel", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{"\"\<Re(z)\>\"", ",", "\"\<Im(z)\>\"", ",", "None"}], 
             "}"}]}], ",", "\[IndentingNewLine]", 
           RowBox[{"LabelStyle", "\[Rule]", 
            RowBox[{"(", 
             RowBox[{"FontSize", "\[Rule]", "12"}], ")"}]}], ",", 
           RowBox[{"TicksStyle", "\[Rule]", "10"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{"s", ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "}"}]}], "]"}], ",", 
       RowBox[{"ImageSize", "\[Rule]", "600"}], ",", 
       RowBox[{"Spacings", "\[Rule]", "0"}]}], "]"}]}]}], "]"}]}]], "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.528535250407896*^9, 3.528535461772667*^9}, {
   3.528535505998745*^9, 3.528535506622746*^9}, {3.528593875220598*^9, 
   3.528593992798005*^9}, {3.5285940247468605`*^9, 3.52859412669304*^9}, {
   3.5285947016184196`*^9, 3.528594820459429*^9}, {3.5285948555906906`*^9, 
   3.528594936508033*^9}, {3.5285949979721403`*^9, 3.5285950379706106`*^9}, {
   3.528595075348276*^9, 3.528595214656521*^9}, {3.528595415491274*^9, 
   3.528595436442111*^9}, {3.528595716743403*^9, 3.5285958153043756`*^9}, {
   3.5285958613244567`*^9, 3.528595921665363*^9}, {3.528595966640242*^9, 
   3.5285960360447636`*^9}, {3.5285960777748375`*^9, 3.52859607930364*^9}, 
   3.528601840446159*^9, {3.5286066000129185`*^9, 3.528606611666139*^9}, {
   3.528607446049205*^9, 3.528607484815273*^9}, {3.5286179259540014`*^9, 
   3.528617959704932*^9}, {3.5286180519432077`*^9, 3.528618114140765*^9}, {
   3.5286181589773293`*^9, 3.528618194373354*^9}, 3.5286184556132965`*^9, 
   3.528618488088154*^9, {3.5286185781783066`*^9, 3.528618632754428*^9}, {
   3.52861872387864*^9, 3.5286187241576557`*^9}, {3.528618774981563*^9, 
   3.5286187752255774`*^9}, 3.5286189682036147`*^9, {3.528619009909*^9, 
   3.5286190120061197`*^9}, {3.528619442909766*^9, 3.528619451910281*^9}, {
   3.5286214386949186`*^9, 3.5286214646354027`*^9}, {3.5286222532055063`*^9, 
   3.528622288166506*^9}, 3.52866506133381*^9, 3.5286651054974875`*^9, {
   3.5286651514707685`*^9, 3.528665155292775*^9}, {3.5287006732862062`*^9, 
   3.528700705625063*^9}, {3.5287008793313684`*^9, 3.5287008818741727`*^9}, {
   3.5287009125126266`*^9, 3.5287009144938297`*^9}, 3.5289407729676*^9, {
   3.5289408531049404`*^9, 3.528940862636557*^9}, {3.5289411067145863`*^9, 
   3.528941109475791*^9}, {3.528941393177889*^9, 3.528941398762699*^9}, {
   3.537348938664707*^9, 3.5373490618737235`*^9}, {3.5373491308258443`*^9, 
   3.537349165535906*^9}, {3.5373492076091795`*^9, 3.537349229730018*^9}, {
   3.5373493348586025`*^9, 3.5373493396790113`*^9}, 3.537349383437088*^9, 
   3.537353404376486*^9, {3.537372423785405*^9, 3.5373724344870243`*^9}, {
   3.537372467356282*^9, 3.537372469041085*^9}, {3.537372501021141*^9, 
   3.537372529272791*^9}, {3.5373860590361547`*^9, 3.5373860737625804`*^9}, {
   3.537686934522904*^9, 3.5376869804337845`*^9}, 3.5376870230374594`*^9, 
   3.537687075141551*^9, {3.537687172360922*^9, 3.5376871805509357`*^9}, {
   3.5376873505920353`*^9, 3.537687431961778*^9}, 3.537687479666662*^9, {
   3.5376885407109256`*^9, 3.5376885430197296`*^9}, 3.5402885879720693`*^9, {
   3.6036539407572165`*^9, 3.603653993500909*^9}, {3.671138160761835*^9, 
   3.671138191259888*^9}, 3.691446775317408*^9, 3.699181982182391*^9, 
   3.699182094845789*^9, 3.7203980429087944`*^9, {3.720398080754461*^9, 
   3.720398132780552*^9}, {3.73514753250068*^9, 3.735147541111895*^9}, {
   3.7945196847464128`*^9, 3.794519685589965*^9}, {3.7967781603777843`*^9, 
   3.796778261046833*^9}, {3.7967783362389903`*^9, 3.796778410002986*^9}, {
   3.7967784438700924`*^9, 3.7967788610227284`*^9}, {3.796778940176092*^9, 
   3.7967790002089524`*^9}, {3.7967791061998334`*^9, 3.796779195272823*^9}, 
   3.796779228030768*^9, {3.796779260570079*^9, 3.796779286548357*^9}, 
   3.7967793173068013`*^9, {3.7967794233445764`*^9, 3.7967794648661265`*^9}, {
   3.7967799131208625`*^9, 3.796779917135522*^9}, 3.7967803187223597`*^9, 
   3.796780353292407*^9, 3.7967804436931515`*^9, {3.7967809984887247`*^9, 
   3.796781012016806*^9}, {3.796781071096761*^9, 3.79678110618232*^9}, {
   3.7967812050498643`*^9, 3.7967812153756056`*^9}, {3.7967812560303373`*^9, 
   3.7967812868668895`*^9}, 3.796781545186778*^9, {3.796781595862482*^9, 
   3.796781632135231*^9}, {3.7967816685954685`*^9, 3.7967816875911393`*^9}, {
   3.7967817320338125`*^9, 3.796781811796413*^9}, {3.796781866424285*^9, 
   3.7967818689706054`*^9}, {3.7967819030193214`*^9, 
   3.7967819170785007`*^9}, {3.796781974018366*^9, 3.7967819767677*^9}, 
   3.797841795956601*^9, {3.7978418283240447`*^9, 3.7978418500533466`*^9}, {
   3.7978421370855093`*^9, 3.7978421389289093`*^9}, {3.7978421795131044`*^9, 
   3.7978421810283756`*^9}, 3.7978423775055294`*^9, {3.797844611198623*^9, 
   3.7978446114173546`*^9}, {3.8355020957663302`*^9, 3.8355021009370265`*^9}, 
   3.83557116854296*^9, {3.835571254350999*^9, 3.835571282422536*^9}, {
   3.83557136787136*^9, 3.835571387647955*^9}, {3.835571462802311*^9, 
   3.83557146697318*^9}, 3.836013766358122*^9, 3.8360138040525103`*^9}],

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{"\"\<stereopsis2.png\>\"", ",", "Stereo2", ",", 
   RowBox[{"ImageResolution", "\[Rule]", "200"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.629172579079088*^9, 3.629172606332336*^9}, 
   3.6291729516077423`*^9, {3.6291769649291997`*^9, 3.6291769715436115`*^9}, {
   3.6694294146091456`*^9, 3.669429453390814*^9}, {3.6694295251133394`*^9, 
   3.66942952528494*^9}, {3.669429968483719*^9, 3.6694299792009377`*^9}, 
   3.6695414937726173`*^9, {3.669541542304302*^9, 3.6695415424759026`*^9}, 
   3.6695427872984905`*^9, 3.669542874970644*^9, {3.6696138730631557`*^9, 
   3.6696138903791857`*^9}, {3.6696861629027576`*^9, 3.6696861631211576`*^9}, 
   3.6696862814941654`*^9, 3.66986256065805*^9, 3.6870392901593304`*^9, {
   3.687039490229682*^9, 3.687039497031294*^9}, {3.6870397058220606`*^9, 
   3.687039717615681*^9}, {3.7104498072224054`*^9, 3.7104498169568224`*^9}, 
   3.7104499946099343`*^9, 3.710450869621472*^9, {3.7119561182355337`*^9, 
   3.711956136471966*^9}, 3.711956221055314*^9, 3.7119582648253064`*^9, 
   3.7120398995014544`*^9, {3.712313120838914*^9, 3.7123131210417137`*^9}, {
   3.7326556355609922`*^9, 3.732655660770636*^9}, 3.732657635746906*^9, {
   3.7402166796299*^9, 3.7402167013763385`*^9}, {3.7407684545342298`*^9, 
   3.7407684753758664`*^9}, 3.7407758167939634`*^9, {3.7407763007692137`*^9, 
   3.7407763245436554`*^9}, {3.7407766041429462`*^9, 
   3.7407766173561697`*^9}, {3.7411134740028486`*^9, 
   3.7411134829104643`*^9}, {3.7414207980806737`*^9, 3.741420798283474*^9}, 
   3.744783897470586*^9, {3.7447936789552584`*^9, 3.744793682543265*^9}, 
   3.744852456774804*^9, 3.7448529884293385`*^9, {3.7452073885496655`*^9, 
   3.7452074029640903`*^9}, 3.7460552117927794`*^9, {3.7460559128736105`*^9, 
   3.7460559143244133`*^9}, {3.746991466930862*^9, 3.746991498240117*^9}, 
   3.7469916011066976`*^9, {3.747195658714813*^9, 3.747195677294446*^9}, 
   3.7471972139927454`*^9, 3.7472082014867215`*^9, {3.7472833609617367`*^9, 
   3.747283365080144*^9}, {3.7472973849875746`*^9, 3.7472973942695913`*^9}, 
   3.7482123299439473`*^9, {3.753848474247873*^9, 3.753848493326706*^9}, 
   3.791578362023325*^9, 3.791578711846819*^9, 3.7916240971105227`*^9, {
   3.796780856331231*^9, 3.7967808641419077`*^9}, {3.7967809334125547`*^9, 
   3.796780941770011*^9}, 3.796780987506962*^9, 3.7967810204679894`*^9, 
   3.796781363286549*^9, {3.796781549123394*^9, 3.7967815503106174`*^9}, {
   3.797842192666319*^9, 3.797842192885017*^9}, 3.835481948028166*^9, 
   3.8354977740389714`*^9},
 Background->RGBColor[
  0.9019607843137255, 0.9019607843137255, 0.9019607843137255]]
}, Closed]],

Cell[CellGroupData[{

Cell["Jacobi\:306e\:6955\:5186\:95a2\:6570", "Subsection",
 CellChangeTimes->{{3.8358280073608956`*^9, 3.8358280073608956`*^9}, 
   3.8358280539906387`*^9, {3.8358280919505854`*^9, 3.83582809395012*^9}},
 FontFamily->"Arial",
 FontSize->16],

Cell[BoxData[
 StyleBox[
  RowBox[{"<<", "Graphics`MathematicalFunctionPlot`"}],
  FontColor->RGBColor[0, 0, 1]]], "Input",
 CellChangeTimes->{{3.5339528699182105`*^9, 3.5339528744110184`*^9}, 
   3.5529279523137803`*^9, {3.795036521413636*^9, 3.7950365258032074`*^9}},
 FontColor->RGBColor[0, 0, 1]],

Cell[BoxData[
 RowBox[{"Stereo3", "=", "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"f", ",", 
      RowBox[{"m", "=", "0.3"}], ",", "reK", ",", "imK", ",", 
      RowBox[{"pM", "=", "8"}], ",", "vX", ",", "vY", ",", "vZ", ",", "view", 
      ",", 
      RowBox[{"c", "=", "0.03"}], ",", "\[Phi]"}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"f", "[", "z_", "]"}], ":=", 
      RowBox[{"JacobiCN", "[", 
       RowBox[{"z", ",", "m"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"reK", "=", 
      RowBox[{"EllipticK", "[", "m", "]"}]}], ";", 
     RowBox[{"imK", "=", 
      RowBox[{"EllipticK", "[", 
       RowBox[{"1", "-", "m"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"vX", ",", "vY", ",", "vZ"}], "}"}], "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "0.30"}], ",", 
        RowBox[{"-", "2.00"}], ",", "2.63"}], "}"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"\[Phi]", "[", "s_", "]"}], ":=", 
      RowBox[{"N", "[", 
       RowBox[{
        RowBox[{"ArcTan", "[", 
         RowBox[{"vX", ",", "vY"}], "]"}], "+", 
        RowBox[{"s", "*", 
         RowBox[{"ArcTan", "[", 
          RowBox[{
           SqrtBox[
            RowBox[{
             SuperscriptBox["vX", "2"], "+", 
             SuperscriptBox["vY", "2"]}]], ",", "c"}], "]"}]}]}], "]"}]}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"view", "[", "s_", "]"}], ":=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         SqrtBox[
          RowBox[{
           SuperscriptBox["vX", "2"], "+", 
           SuperscriptBox["vY", "2"], "+", 
           SuperscriptBox["c", "2"]}]], " ", 
         RowBox[{"Cos", "[", 
          RowBox[{"\[Phi]", "[", "s", "]"}], "]"}]}], ",", 
        RowBox[{
         SqrtBox[
          RowBox[{
           SuperscriptBox["vX", "2"], "+", 
           SuperscriptBox["vY", "2"], "+", 
           SuperscriptBox["c", "2"]}]], " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"\[Phi]", "[", "s", "]"}], "]"}]}], ",", "vZ"}], "}"}]}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"GraphicsRow", "[", 
      RowBox[{
       RowBox[{"Table", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"AbsArgPlot3D", "[", 
          RowBox[{
           RowBox[{"f", "[", "z", "]"}], ",", "\[IndentingNewLine]", 
           RowBox[{"{", 
            RowBox[{"z", ",", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "5"}], " ", "reK"}], "-", 
              RowBox[{"4", " ", "imK", "*", "I"}]}], ",", 
             RowBox[{
              RowBox[{"5", " ", "reK"}], "+", 
              RowBox[{"4", " ", "imK", "*", "I"}]}]}], "}"}], ",", 
           RowBox[{"PlotRange", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{"0", ",", "pM"}], "}"}]}], ",", 
           RowBox[{"PlotPoints", "\[Rule]", "300"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"MaxRecursion", "\[Rule]", "1"}], ",", 
           RowBox[{"BoxRatios", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"5", " ", "reK"}], ",", 
              RowBox[{"4", " ", "imK"}], ",", "5"}], "}"}]}], ",", 
           RowBox[{"ViewPoint", "\[Rule]", 
            RowBox[{"view", "[", "s", "]"}]}], ",", "\[IndentingNewLine]", 
           RowBox[{"AbsContours", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{"\"\<Log\>\"", ",", 
              RowBox[{"Sqrt", "[", "2", "]"}], ",", 
              RowBox[{"-", "12"}]}], "}"}]}], ",", 
           RowBox[{"ArgContours", "\[Rule]", "8"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"ArgColorScheme", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{"\"\<ComplexArgument\>\"", ",", 
              RowBox[{"{", 
               RowBox[{"1", ",", "1", ",", "1"}], "}"}]}], "}"}]}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"SurfaceProperty", "\[Rule]", 
            RowBox[{"Specularity", "[", 
             RowBox[{"White", ",", "100"}], "]"}]}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"ContoursThickness", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Thickness", "[", "0.0008", "]"}], ",", 
              RowBox[{"Thickness", "[", "0.0006", "]"}]}], "}"}]}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"AxesLabel", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{"\"\<Re(z)\>\"", ",", "\"\<Im(z)\>\"", ",", "None"}], 
             "}"}]}], ",", 
           RowBox[{"LabelStyle", "\[Rule]", 
            RowBox[{"(", 
             RowBox[{"FontSize", "\[Rule]", "12"}], ")"}]}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"TicksStyle", "\[Rule]", "10"}], ",", 
           RowBox[{"Ticks", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Table", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"m", "*", "reK"}], ",", 
                  RowBox[{"m", "*", "\"\<\!\(\*
StyleBox[\"K\",
FontFamily->\"Courier New\",
FontSlant->\"Italic\"]\)\>\""}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"m", ",", 
                  RowBox[{"-", "4"}], ",", "4", ",", "2"}], "}"}]}], "]"}], 
              ",", "\[IndentingNewLine]", 
              RowBox[{"Table", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"n", "*", "imK"}], ",", 
                  RowBox[{"n", "*", "\"\<\!\(\*
StyleBox[SuperscriptBox[
StyleBox[\"K\",
FontFamily->\"Courier New\",
FontSlant->\"Italic\"], \"'\"],
FontFamily->\"Courier New\",
FontSlant->\"Italic\"]\)\>\""}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"n", ",", 
                  RowBox[{"-", "4"}], ",", "4", ",", "2"}], "}"}]}], "]"}], 
              ",", "Automatic"}], "}"}]}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{"s", ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "}"}]}], "]"}], ",", 
       RowBox[{"ImageSize", "\[Rule]", "650"}], ",", 
       RowBox[{"Spacings", "\[Rule]", "0"}]}], "]"}]}]}], "]"}]}]], "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.528535250407896*^9, 3.528535461772667*^9}, {
   3.528535505998745*^9, 3.528535506622746*^9}, {3.528593875220598*^9, 
   3.528593992798005*^9}, {3.5285940247468605`*^9, 3.52859412669304*^9}, {
   3.5285947016184196`*^9, 3.528594820459429*^9}, {3.5285948555906906`*^9, 
   3.528594936508033*^9}, {3.5285949979721403`*^9, 3.5285950379706106`*^9}, {
   3.528595075348276*^9, 3.528595214656521*^9}, {3.528595415491274*^9, 
   3.528595436442111*^9}, {3.528595716743403*^9, 3.5285958153043756`*^9}, {
   3.5285958613244567`*^9, 3.528595921665363*^9}, {3.528595966640242*^9, 
   3.5285960360447636`*^9}, {3.5285960777748375`*^9, 3.52859607930364*^9}, 
   3.528601840446159*^9, {3.5286066000129185`*^9, 3.528606611666139*^9}, {
   3.528607446049205*^9, 3.528607484815273*^9}, {3.5286179259540014`*^9, 
   3.528617959704932*^9}, {3.5286180519432077`*^9, 3.528618114140765*^9}, {
   3.5286181589773293`*^9, 3.528618194373354*^9}, 3.5286184556132965`*^9, 
   3.528618488088154*^9, {3.5286185781783066`*^9, 3.528618632754428*^9}, {
   3.52861872387864*^9, 3.5286187241576557`*^9}, {3.528618774981563*^9, 
   3.5286187752255774`*^9}, 3.5286189682036147`*^9, {3.528619009909*^9, 
   3.5286190120061197`*^9}, {3.528619442909766*^9, 3.528619451910281*^9}, {
   3.5286214386949186`*^9, 3.5286214646354027`*^9}, {3.5286222532055063`*^9, 
   3.528622288166506*^9}, 3.52866506133381*^9, 3.5286651054974875`*^9, {
   3.5286651514707685`*^9, 3.528665155292775*^9}, {3.5287006732862062`*^9, 
   3.528700705625063*^9}, {3.5287008793313684`*^9, 3.5287008818741727`*^9}, {
   3.5287009125126266`*^9, 3.5287009144938297`*^9}, 3.5289407729676*^9, {
   3.5289408531049404`*^9, 3.528940862636557*^9}, {3.5289411067145863`*^9, 
   3.528941109475791*^9}, {3.528941393177889*^9, 3.528941398762699*^9}, {
   3.537348938664707*^9, 3.5373490618737235`*^9}, {3.5373491308258443`*^9, 
   3.537349165535906*^9}, {3.5373492076091795`*^9, 3.537349229730018*^9}, {
   3.5373493348586025`*^9, 3.5373493396790113`*^9}, 3.537349383437088*^9, 
   3.537353404376486*^9, {3.537372423785405*^9, 3.5373724344870243`*^9}, {
   3.537372467356282*^9, 3.537372469041085*^9}, {3.537372501021141*^9, 
   3.537372529272791*^9}, {3.5373860590361547`*^9, 3.5373860737625804`*^9}, {
   3.537686934522904*^9, 3.5376869804337845`*^9}, 3.5376870230374594`*^9, 
   3.537687075141551*^9, {3.537687172360922*^9, 3.5376871805509357`*^9}, {
   3.5376873505920353`*^9, 3.537687431961778*^9}, 3.537687479666662*^9, {
   3.5376885407109256`*^9, 3.5376885430197296`*^9}, 3.5402885879720693`*^9, {
   3.6036539407572165`*^9, 3.603653993500909*^9}, {3.671138160761835*^9, 
   3.671138191259888*^9}, 3.691446775317408*^9, 3.699181982182391*^9, 
   3.699182094845789*^9, 3.7203980429087944`*^9, {3.720398080754461*^9, 
   3.720398132780552*^9}, {3.73514753250068*^9, 3.735147541111895*^9}, {
   3.7945196847464128`*^9, 3.794519685589965*^9}, {3.7967781603777843`*^9, 
   3.796778261046833*^9}, {3.7967783362389903`*^9, 3.796778410002986*^9}, {
   3.7967784438700924`*^9, 3.7967788610227284`*^9}, {3.796778940176092*^9, 
   3.7967790002089524`*^9}, {3.7967791061998334`*^9, 3.796779195272823*^9}, 
   3.796779228030768*^9, {3.796779260570079*^9, 3.796779286548357*^9}, 
   3.7967793173068013`*^9, {3.7967794233445764`*^9, 3.7967794648661265`*^9}, {
   3.7967799131208625`*^9, 3.796779917135522*^9}, 3.7967803187223597`*^9, 
   3.796780353292407*^9, 3.7967804436931515`*^9, {3.7967809984887247`*^9, 
   3.796781012016806*^9}, {3.796781071096761*^9, 3.79678110618232*^9}, {
   3.7967812050498643`*^9, 3.7967812153756056`*^9}, {3.7967812560303373`*^9, 
   3.7967812868668895`*^9}, 3.796781545186778*^9, {3.796781595862482*^9, 
   3.796781632135231*^9}, {3.7967816685954685`*^9, 3.7967816875911393`*^9}, {
   3.7967817320338125`*^9, 3.796781811796413*^9}, {3.796781866424285*^9, 
   3.7967818689706054`*^9}, {3.7967819030193214`*^9, 
   3.7967819170785007`*^9}, {3.796781974018366*^9, 3.7967819767677*^9}, 
   3.797841795956601*^9, {3.7978418283240447`*^9, 3.7978418500533466`*^9}, {
   3.7978421370855093`*^9, 3.7978421389289093`*^9}, {3.7978421795131044`*^9, 
   3.7978421810283756`*^9}, 3.7978423775055294`*^9, {3.7978424216202316`*^9, 
   3.797842428353033*^9}, {3.797842477140174*^9, 3.79784259506573*^9}, 
   3.797842658472803*^9, {3.7978427323541136`*^9, 3.7978428296235967`*^9}, {
   3.797843131127259*^9, 3.79784316230748*^9}, {3.79784319554972*^9, 
   3.7978432988138123`*^9}, {3.7978433411320577`*^9, 
   3.7978433885897293`*^9}, {3.797843446888626*^9, 3.7978434514500537`*^9}, {
   3.797843502235073*^9, 3.7978435070776925`*^9}, 3.7978436367505507`*^9, 
   3.7978437675169106`*^9, {3.797843799681273*^9, 3.7978438092415276`*^9}, {
   3.7978440801959515`*^9, 3.797844102753185*^9}, 3.7978443108017225`*^9, {
   3.7978444686867394`*^9, 3.7978444689992085`*^9}, {3.7978448431132326`*^9, 
   3.7978448484557686`*^9}, {3.8355021087008495`*^9, 3.8355021129185934`*^9}, 
   3.835571204784423*^9, 3.8355712470714192`*^9, {3.835571289952027*^9, 
   3.835571294091725*^9}, {3.8355713958804417`*^9, 3.8355713985829396`*^9}, {
   3.8355714359179287`*^9, 3.8355714444159765`*^9}, {3.836015879411131*^9, 
   3.836015893361009*^9}, 3.836022614044276*^9, {3.8360226538265114`*^9, 
   3.8360226616371937`*^9}}],

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{"\"\<stereopsis3.png\>\"", ",", "Stereo3", ",", 
   RowBox[{"ImageResolution", "\[Rule]", "200"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.629172579079088*^9, 3.629172606332336*^9}, 
   3.6291729516077423`*^9, {3.6291769649291997`*^9, 3.6291769715436115`*^9}, {
   3.6694294146091456`*^9, 3.669429453390814*^9}, {3.6694295251133394`*^9, 
   3.66942952528494*^9}, {3.669429968483719*^9, 3.6694299792009377`*^9}, 
   3.6695414937726173`*^9, {3.669541542304302*^9, 3.6695415424759026`*^9}, 
   3.6695427872984905`*^9, 3.669542874970644*^9, {3.6696138730631557`*^9, 
   3.6696138903791857`*^9}, {3.6696861629027576`*^9, 3.6696861631211576`*^9}, 
   3.6696862814941654`*^9, 3.66986256065805*^9, 3.6870392901593304`*^9, {
   3.687039490229682*^9, 3.687039497031294*^9}, {3.6870397058220606`*^9, 
   3.687039717615681*^9}, {3.7104498072224054`*^9, 3.7104498169568224`*^9}, 
   3.7104499946099343`*^9, 3.710450869621472*^9, {3.7119561182355337`*^9, 
   3.711956136471966*^9}, 3.711956221055314*^9, 3.7119582648253064`*^9, 
   3.7120398995014544`*^9, {3.712313120838914*^9, 3.7123131210417137`*^9}, {
   3.7326556355609922`*^9, 3.732655660770636*^9}, 3.732657635746906*^9, {
   3.7402166796299*^9, 3.7402167013763385`*^9}, {3.7407684545342298`*^9, 
   3.7407684753758664`*^9}, 3.7407758167939634`*^9, {3.7407763007692137`*^9, 
   3.7407763245436554`*^9}, {3.7407766041429462`*^9, 
   3.7407766173561697`*^9}, {3.7411134740028486`*^9, 
   3.7411134829104643`*^9}, {3.7414207980806737`*^9, 3.741420798283474*^9}, 
   3.744783897470586*^9, {3.7447936789552584`*^9, 3.744793682543265*^9}, 
   3.744852456774804*^9, 3.7448529884293385`*^9, {3.7452073885496655`*^9, 
   3.7452074029640903`*^9}, 3.7460552117927794`*^9, {3.7460559128736105`*^9, 
   3.7460559143244133`*^9}, {3.746991466930862*^9, 3.746991498240117*^9}, 
   3.7469916011066976`*^9, {3.747195658714813*^9, 3.747195677294446*^9}, 
   3.7471972139927454`*^9, 3.7472082014867215`*^9, {3.7472833609617367`*^9, 
   3.747283365080144*^9}, {3.7472973849875746`*^9, 3.7472973942695913`*^9}, 
   3.7482123299439473`*^9, {3.753848474247873*^9, 3.753848493326706*^9}, 
   3.791578362023325*^9, 3.791578711846819*^9, 3.7916240971105227`*^9, {
   3.796780856331231*^9, 3.7967808641419077`*^9}, {3.7967809334125547`*^9, 
   3.796780941770011*^9}, 3.796780987506962*^9, 3.7967810204679894`*^9, 
   3.796781363286549*^9, {3.796781549123394*^9, 3.7967815503106174`*^9}, {
   3.797842192666319*^9, 3.797842192885017*^9}, {3.7978424142313576`*^9, 
   3.7978424160746746`*^9}, 3.835481952808311*^9, 3.8354977812873507`*^9},
 Background->RGBColor[
  0.9019607843137255, 0.9019607843137255, 0.9019607843137255]]
}, Closed]],

Cell[CellGroupData[{

Cell["\:7403\:9762\:8abf\:548c\:95a2\:6570\:306e\:865a\:90e8", "Subsection",
 CellChangeTimes->{{3.8358280127971296`*^9, 3.8358280127971296`*^9}, 
   3.8358280539906387`*^9, {3.8358280989020567`*^9, 3.8358281014952035`*^9}},
 FontFamily->"Arial",
 FontSize->16],

Cell[BoxData[
 RowBox[{"Stereo4", "=", "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "bgF", ",", "f", ",", "mMax", ",", "mStyle", ",", "vX", ",", "vY", ",", 
      "vZ", ",", "view", ",", 
      RowBox[{"c", "=", "0.03"}], ",", "ph"}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"bgF", "[", 
       RowBox[{"x_", ",", "y_"}], "]"}], ":=", 
      RowBox[{
       RowBox[{"Abs", "[", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"0.8", " ", 
           RowBox[{"Sin", "[", 
            RowBox[{"x", "-", "y"}], "]"}]}], "+", 
          RowBox[{"Sin", "[", 
           RowBox[{
            RowBox[{"\[Pi]", " ", "x"}], "+", 
            RowBox[{"2", " ", "y"}]}], "]"}]}], ")"}], "]"}], "*", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"0.6", " ", 
           RowBox[{"Sin", "[", 
            RowBox[{"y", "+", "x"}], "]"}]}], "-", 
          RowBox[{"0.9", " ", 
           RowBox[{"Sin", "[", 
            RowBox[{"1.6", "^", "y"}], "]"}]}]}], ")"}], "^", "2"}]}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"f", "[", 
       RowBox[{"\[Theta]_", ",", "\[CurlyPhi]_"}], "]"}], ":=", 
      RowBox[{"SphericalHarmonicY", "[", 
       RowBox[{"5", ",", "3", ",", "\[Theta]", ",", "\[CurlyPhi]"}], "]"}]}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"mMax", "=", 
      RowBox[{"Floor", "[", 
       RowBox[{
        RowBox[{"Max", "[", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"Abs", "[", 
            RowBox[{"Im", "[", 
             RowBox[{"f", "[", 
              RowBox[{"\[Theta]", ",", 
               RowBox[{"\[Pi]", "/", 
                RowBox[{"(", 
                 RowBox[{"2", "*", "3"}], ")"}]}]}], "]"}], "]"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"\[Theta]", ",", "0", ",", 
             RowBox[{"\[Pi]", "/", "2"}], ",", 
             RowBox[{"\[Pi]", "/", "200"}]}], "}"}]}], "]"}], "]"}], ",", 
        "0.01"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"mStyle", "=", 
      RowBox[{"Directive", "[", 
       RowBox[{
        RowBox[{"Thickness", "[", "0.0006", "]"}], ",", 
        RowBox[{"Opacity", "[", "0.4", "]"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"vX", ",", "vY", ",", "vZ"}], "}"}], "=", 
      RowBox[{"{", 
       RowBox[{"1.31", ",", 
        RowBox[{"-", "2.52"}], ",", "1.42"}], "}"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"ph", "[", "s_", "]"}], ":=", 
      RowBox[{"N", "[", 
       RowBox[{
        RowBox[{"ArcTan", "[", 
         RowBox[{"vX", ",", "vY"}], "]"}], "+", 
        RowBox[{"s", "*", 
         RowBox[{"ArcTan", "[", 
          RowBox[{
           SqrtBox[
            RowBox[{
             SuperscriptBox["vX", "2"], "+", 
             SuperscriptBox["vY", "2"]}]], ",", "c"}], "]"}]}]}], "]"}]}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"view", "[", "s_", "]"}], ":=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         SqrtBox[
          RowBox[{
           SuperscriptBox["vX", "2"], "+", 
           SuperscriptBox["vY", "2"], "+", 
           SuperscriptBox["c", "2"]}]], " ", 
         RowBox[{"Cos", "[", 
          RowBox[{"ph", "[", "s", "]"}], "]"}]}], ",", 
        RowBox[{
         SqrtBox[
          RowBox[{
           SuperscriptBox["vX", "2"], "+", 
           SuperscriptBox["vY", "2"], "+", 
           SuperscriptBox["c", "2"]}]], " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"ph", "[", "s", "]"}], "]"}]}], ",", "vZ"}], "}"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"GraphicsRow", "[", 
      RowBox[{
       RowBox[{"Table", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"DensityPlot", "[", 
          RowBox[{
           RowBox[{"bgF", "[", 
            RowBox[{
             RowBox[{"x", "-", 
              RowBox[{"s", "/", "2"}]}], ",", "y"}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"{", 
            RowBox[{"x", ",", 
             RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"y", ",", 
             RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
           RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
           RowBox[{"PlotPoints", "\[Rule]", "200"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"MaxRecursion", "\[Rule]", "1"}], ",", 
           RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
           StyleBox[
            RowBox[{"Exclusions", "\[Rule]", "None"}],
            FontColor->GrayLevel[0]], ",", "\[IndentingNewLine]", 
           RowBox[{"ColorFunction", "\[Rule]", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"GrayLevel", "[", 
               RowBox[{"#", "/", "1"}], "]"}], "&"}], ")"}]}], ",", 
           StyleBox[
            RowBox[{"ColorFunctionScaling", "\[Rule]", "True"}],
            FontColor->GrayLevel[0]], ",", "\[IndentingNewLine]", 
           RowBox[{"Frame", "\[Rule]", "None"}], ",", 
           RowBox[{"ImageSize", "\[Rule]", "330"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Epilog", "\[Rule]", 
            RowBox[{"Inset", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"SphericalPlot3D", "[", 
               RowBox[{
                RowBox[{"Abs", "[", 
                 RowBox[{"Im", "[", 
                  RowBox[{"f", "[", 
                   RowBox[{"\[Theta]", ",", "\[CurlyPhi]"}], "]"}], "]"}], 
                 "]"}], ",", "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{"\[Theta]", ",", "0", ",", "Pi"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"\[CurlyPhi]", ",", 
                  RowBox[{"-", "Pi"}], ",", "Pi"}], "}"}], ",", 
                RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
                RowBox[{"PlotPoints", "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{"100", ",", "200"}], "}"}]}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"MaxRecursion", "\[Rule]", "1"}], ",", 
                RowBox[{"BoxRatios", "\[Rule]", "Automatic"}], ",", 
                RowBox[{"ViewPoint", "\[Rule]", 
                 RowBox[{"view", "[", "s", "]"}]}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"ColorFunction", "\[Rule]", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Im", "[", 
                    RowBox[{"f", "[", 
                    RowBox[{"#4", ",", "#5"}], "]"}], "]"}], ">", "0"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Hue", "[", 
                    RowBox[{"0.25", ",", "1", ",", "1", ",", "0.4"}], "]"}], 
                    ",", 
                    RowBox[{"Hue", "[", 
                    RowBox[{"0.75", ",", "1", ",", "1", ",", "0.4"}], "]"}]}],
                     "]"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"Specularity", "[", 
                    RowBox[{"White", ",", "100"}], "]"}]}], "]"}], "&"}], 
                  ")"}]}], ",", "\[IndentingNewLine]", 
                RowBox[{"ColorFunctionScaling", "\[Rule]", "False"}], ",", 
                RowBox[{"Exclusions", "\[Rule]", "None"}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"MeshFunctions", "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"Im", "[", 
                    RowBox[{"f", "[", 
                    RowBox[{"#4", ",", "#5"}], "]"}], "]"}], "&"}], ",", 
                   RowBox[{
                    RowBox[{"Re", "[", 
                    RowBox[{"f", "[", 
                    RowBox[{"#4", ",", "#5"}], "]"}], "]"}], "&"}]}], "}"}]}],
                 ",", "\[IndentingNewLine]", 
                RowBox[{"Mesh", "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"Range", "[", 
                    RowBox[{
                    RowBox[{"-", "mMax"}], ",", "mMax", ",", 
                    RowBox[{"mMax", "/", "10"}]}], "]"}], ",", 
                   RowBox[{"Range", "[", 
                    RowBox[{
                    RowBox[{"-", "mMax"}], ",", "mMax", ",", 
                    RowBox[{"mMax", "/", "5"}]}], "]"}]}], "}"}]}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"MeshStyle", "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{"mStyle", ",", "mStyle"}], "}"}]}], ",", 
                RowBox[{"BoundaryStyle", "\[Rule]", "None"}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
                RowBox[{"Axes", "\[Rule]", "None"}], ",", 
                RowBox[{"SphericalRegion", "\[Rule]", "True"}], ",", 
                RowBox[{"ImageSize", "\[Rule]", "350"}]}], "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"Center", ",", "Center"}], "}"}]}], "]"}]}]}], "]"}], 
         ",", 
         RowBox[{"{", 
          RowBox[{"s", ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "}"}]}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"ImageSize", "\[Rule]", "650"}], ",", 
       RowBox[{"Spacings", "\[Rule]", "0"}]}], "]"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.8355552755854063`*^9, 3.8355552955651217`*^9}, {
   3.8355553460609465`*^9, 3.8355554389611197`*^9}, {3.835555482888437*^9, 
   3.835555842929287*^9}, {3.835555879530116*^9, 3.8355558882312045`*^9}, {
   3.835555925441266*^9, 3.8355560718914614`*^9}, {3.8355561087265987`*^9, 
   3.8355564042512856`*^9}, {3.835556566224079*^9, 3.835556589499997*^9}, {
   3.835556877776299*^9, 3.8355568883363376`*^9}, {3.8355571008648376`*^9, 
   3.835557208339703*^9}, 3.835557239832347*^9, {3.8355573442298346`*^9, 
   3.8355573700675836`*^9}, {3.8355574133074474`*^9, 3.83555741754086*^9}, {
   3.8355574522514753`*^9, 3.835557515705435*^9}, {3.8355577658924785`*^9, 
   3.835557774827894*^9}, {3.8355578053207707`*^9, 3.835557827081309*^9}, 
   3.835557864916222*^9, 3.8355579498964014`*^9, {3.835558024238408*^9, 
   3.8355580726177006`*^9}, {3.835558114873454*^9, 3.8355581543798513`*^9}, {
   3.8355583882627153`*^9, 3.835558570735713*^9}, 3.8355588240009875`*^9, {
   3.8355589956170645`*^9, 3.835559031436821*^9}, 3.8355605777732563`*^9, {
   3.835561118543533*^9, 3.8355611249795294`*^9}, {3.83556115875289*^9, 
   3.8355611690161176`*^9}, 3.8355715652939844`*^9, 3.836016220543965*^9, {
   3.83601625630127*^9, 3.836016281287443*^9}}],

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{"\"\<stereopsis4.png\>\"", ",", "Stereo4", ",", 
   RowBox[{"ImageResolution", "\[Rule]", "200"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.629172579079088*^9, 3.629172606332336*^9}, 
   3.6291729516077423`*^9, {3.6291769649291997`*^9, 3.6291769715436115`*^9}, {
   3.6694294146091456`*^9, 3.669429453390814*^9}, {3.6694295251133394`*^9, 
   3.66942952528494*^9}, {3.669429968483719*^9, 3.6694299792009377`*^9}, 
   3.6695414937726173`*^9, {3.669541542304302*^9, 3.6695415424759026`*^9}, 
   3.6695427872984905`*^9, 3.669542874970644*^9, {3.6696138730631557`*^9, 
   3.6696138903791857`*^9}, {3.6696861629027576`*^9, 3.6696861631211576`*^9}, 
   3.6696862814941654`*^9, 3.66986256065805*^9, 3.6870392901593304`*^9, {
   3.687039490229682*^9, 3.687039497031294*^9}, {3.6870397058220606`*^9, 
   3.687039717615681*^9}, {3.7104498072224054`*^9, 3.7104498169568224`*^9}, 
   3.7104499946099343`*^9, 3.710450869621472*^9, {3.7119561182355337`*^9, 
   3.711956136471966*^9}, 3.711956221055314*^9, 3.7119582648253064`*^9, 
   3.7120398995014544`*^9, {3.712313120838914*^9, 3.7123131210417137`*^9}, {
   3.7326556355609922`*^9, 3.732655660770636*^9}, 3.732657635746906*^9, {
   3.7402166796299*^9, 3.7402167013763385`*^9}, {3.7407684545342298`*^9, 
   3.7407684753758664`*^9}, 3.7407758167939634`*^9, {3.7407763007692137`*^9, 
   3.7407763245436554`*^9}, {3.7407766041429462`*^9, 
   3.7407766173561697`*^9}, {3.7411134740028486`*^9, 
   3.7411134829104643`*^9}, {3.7414207980806737`*^9, 3.741420798283474*^9}, 
   3.744783897470586*^9, {3.7447936789552584`*^9, 3.744793682543265*^9}, 
   3.744852456774804*^9, 3.7448529884293385`*^9, {3.7452073885496655`*^9, 
   3.7452074029640903`*^9}, 3.7460552117927794`*^9, {3.7460559128736105`*^9, 
   3.7460559143244133`*^9}, {3.746991466930862*^9, 3.746991498240117*^9}, 
   3.7469916011066976`*^9, {3.747195658714813*^9, 3.747195677294446*^9}, 
   3.7471972139927454`*^9, 3.7472082014867215`*^9, {3.7472833609617367`*^9, 
   3.747283365080144*^9}, {3.7472973849875746`*^9, 3.7472973942695913`*^9}, 
   3.7482123299439473`*^9, {3.753848474247873*^9, 3.753848493326706*^9}, 
   3.791578362023325*^9, 3.791578711846819*^9, 3.7916240971105227`*^9, {
   3.796780856331231*^9, 3.7967808641419077`*^9}, {3.7967809334125547`*^9, 
   3.796780941770011*^9}, 3.796780987506962*^9, 3.7967810204679894`*^9, 
   3.796781363286549*^9, {3.796781549123394*^9, 3.7967815503106174`*^9}, {
   3.797842192666319*^9, 3.797842192885017*^9}, {3.7978424142313576`*^9, 
   3.7978424160746746`*^9}, 3.835481952808311*^9, 3.8354977812873507`*^9, {
   3.835503278589757*^9, 3.8355032814953575`*^9}},
 Background->RGBColor[
  0.9019607843137255, 0.9019607843137255, 0.9019607843137255]]
}, Closed]],

Cell[CellGroupData[{

Cell["\:7403\:9762\:8abf\:548c\:95a2\:6570\:306e\:865a\:90e8\:ff08\:30a2\:30cb\
\:30e1\:30fc\:30b7\:30e7\:30f3\:ff09", "Subsection",
 CellChangeTimes->{{3.83582801812398*^9, 3.83582801812398*^9}, {
   3.8358280539906387`*^9, 3.8358280672063437`*^9}, 3.8358281079312468`*^9},
 FontFamily->"Arial",
 FontSize->16],

Cell[TextData[{
 StyleBox["\:6ce8\:610f",
  FontColor->RGBColor[1, 0, 0]],
 StyleBox["\:ff1a\:3053\:306e\:52d5\:753b\:306f\:4f5c\:6210\:4e2d\:306b",
  FontColor->RGBColor[0.5, 0, 0.5]],
 StyleBox["\:7d046.5GB\:306e\:30e1\:30e2\:30ea\:30fc\:3092\:4f7f\:7528\:3059\
\:308b\:3002",
  FontColor->RGBColor[1, 0, 0]],
 "\n",
 StyleBox["Note",
  FontColor->RGBColor[1, 0, 0]],
 " : ",
 StyleBox["This movie ",
  FontColor->RGBColor[0.5, 0, 0.5]],
 StyleBox["uses 6.5GB memory",
  FontColor->RGBColor[1, 0, 0]],
 StyleBox[" during creation.",
  FontColor->RGBColor[0.5, 0, 0.5]]
}], "Text",
 CellChangeTimes->{{3.7901985166538*^9, 3.7901987348825836`*^9}, {
   3.7901990805635905`*^9, 3.7901991759421577`*^9}, 3.7902017149090176`*^9, 
   3.790212764720835*^9, {3.790212806216908*^9, 3.790212853375791*^9}, {
   3.790212934409934*^9, 3.7902129459539537`*^9}, {3.790213118474657*^9, 
   3.7902132326668577`*^9}, {3.790369489408453*^9, 3.79036967004117*^9}, {
   3.790370237710567*^9, 3.7903702407837725`*^9}, {3.797108497944869*^9, 
   3.797108509801462*^9}, {3.805564481776891*^9, 3.805564483542101*^9}, {
   3.805564568881427*^9, 3.8055645706310744`*^9}, {3.8133679881791077`*^9, 
   3.813368008100308*^9}, {3.8133687592383084`*^9, 3.8133687606755347`*^9}, {
   3.825487368365831*^9, 3.825487384018417*^9}, {3.833754299085888*^9, 
   3.8337543023819876`*^9}, {3.835828422691779*^9, 3.8358284268626523`*^9}},
 FontFamily->"Times New Roman"],

Cell[BoxData[
 RowBox[{"Stereo5", "=", "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "bgF", ",", "f", ",", "max", ",", "mMax", ",", "mStyle", ",", "pM", ",", 
      "vX", ",", "vY", ",", "vZ", ",", "view", ",", 
      RowBox[{"c", "=", "0.03"}], ",", "ph"}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"bgF", "[", 
       RowBox[{"x_", ",", "y_"}], "]"}], ":=", 
      RowBox[{
       RowBox[{"Abs", "[", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"0.8", " ", 
           RowBox[{"Sin", "[", 
            RowBox[{"x", "-", "y"}], "]"}]}], "+", 
          RowBox[{"Sin", "[", 
           RowBox[{
            RowBox[{"\[Pi]", " ", "x"}], "+", 
            RowBox[{"2", " ", "y"}]}], "]"}]}], ")"}], "]"}], "*", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"0.6", " ", 
           RowBox[{"Sin", "[", 
            RowBox[{"y", "+", "x"}], "]"}]}], "-", 
          RowBox[{"0.9", " ", 
           RowBox[{"Sin", "[", 
            RowBox[{"1.6", "^", "y"}], "]"}]}]}], ")"}], "^", "2"}]}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"f", "[", 
       RowBox[{"\[Theta]_", ",", "\[CurlyPhi]_"}], "]"}], ":=", 
      RowBox[{"SphericalHarmonicY", "[", 
       RowBox[{"5", ",", "3", ",", "\[Theta]", ",", "\[CurlyPhi]"}], "]"}]}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"max", "=", 
      RowBox[{"Max", "[", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"Abs", "[", 
          RowBox[{"Im", "[", 
           RowBox[{"f", "[", 
            RowBox[{"\[Theta]", ",", 
             RowBox[{"\[Pi]", "/", 
              RowBox[{"(", 
               RowBox[{"2", "*", "3"}], ")"}]}]}], "]"}], "]"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"\[Theta]", ",", "0", ",", 
           RowBox[{"\[Pi]", "/", "2"}], ",", 
           RowBox[{"\[Pi]", "/", "200"}]}], "}"}]}], "]"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"mMax", "=", 
      RowBox[{"Floor", "[", 
       RowBox[{"max", ",", "0.01"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"mStyle", "=", 
      RowBox[{"Directive", "[", 
       RowBox[{
        RowBox[{"Thickness", "[", "0.0004", "]"}], ",", 
        RowBox[{"Opacity", "[", "0.3", "]"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"pM", "=", 
      RowBox[{"1.1", " ", "max"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"vX", ",", "vY", ",", "vZ"}], "}"}], "=", 
      RowBox[{"{", 
       RowBox[{"1.31", ",", 
        RowBox[{"-", "2.52"}], ",", "1.42"}], "}"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"ph", "[", "s_", "]"}], ":=", 
      RowBox[{"N", "[", 
       RowBox[{
        RowBox[{"ArcTan", "[", 
         RowBox[{"vX", ",", "vY"}], "]"}], "+", 
        RowBox[{"s", "*", 
         RowBox[{"ArcTan", "[", 
          RowBox[{
           SqrtBox[
            RowBox[{
             SuperscriptBox["vX", "2"], "+", 
             SuperscriptBox["vY", "2"]}]], ",", "c"}], "]"}]}]}], "]"}]}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"view", "[", "s_", "]"}], ":=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         SqrtBox[
          RowBox[{
           SuperscriptBox["vX", "2"], "+", 
           SuperscriptBox["vY", "2"], "+", 
           SuperscriptBox["c", "2"]}]], " ", 
         RowBox[{"Cos", "[", 
          RowBox[{"ph", "[", "s", "]"}], "]"}]}], ",", 
        RowBox[{
         SqrtBox[
          RowBox[{
           SuperscriptBox["vX", "2"], "+", 
           SuperscriptBox["vY", "2"], "+", 
           SuperscriptBox["c", "2"]}]], " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"ph", "[", "s", "]"}], "]"}]}], ",", "vZ"}], "}"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Table", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"GraphicsRow", "[", 
        RowBox[{
         RowBox[{"Table", "[", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"DensityPlot", "[", 
            RowBox[{
             RowBox[{"bgF", "[", 
              RowBox[{
               RowBox[{"x", "-", 
                RowBox[{"s", "/", "2"}]}], ",", "y"}], "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{"x", ",", 
               RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"y", ",", 
               RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
             RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
             RowBox[{"PlotPoints", "\[Rule]", "150"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"MaxRecursion", "\[Rule]", "1"}], ",", 
             RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
             StyleBox[
              RowBox[{"Exclusions", "\[Rule]", "None"}],
              FontColor->GrayLevel[0]], ",", "\[IndentingNewLine]", 
             RowBox[{"ColorFunction", "\[Rule]", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"GrayLevel", "[", 
                 RowBox[{"#", "/", "1"}], "]"}], "&"}], ")"}]}], ",", 
             StyleBox[
              RowBox[{"ColorFunctionScaling", "\[Rule]", "True"}],
              FontColor->GrayLevel[0]], ",", "\[IndentingNewLine]", 
             RowBox[{"Frame", "\[Rule]", "None"}], ",", 
             RowBox[{"ImageSize", "\[Rule]", "260"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"Epilog", "\[Rule]", 
              RowBox[{"Inset", "[", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"SphericalPlot3D", "[", 
                 RowBox[{
                  RowBox[{"Abs", "[", 
                   RowBox[{"Im", "[", 
                    RowBox[{"f", "[", 
                    RowBox[{"\[Theta]", ",", 
                    RowBox[{"\[CurlyPhi]", "-", 
                    RowBox[{"2", " ", "\[Pi]", " ", 
                    RowBox[{"\[Omega]", "/", "3"}]}]}]}], "]"}], "]"}], "]"}],
                   ",", "\[IndentingNewLine]", 
                  RowBox[{"{", 
                   RowBox[{"\[Theta]", ",", "0", ",", "Pi"}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"\[CurlyPhi]", ",", 
                    RowBox[{"-", "Pi"}], ",", "Pi"}], "}"}], ",", 
                  RowBox[{"PlotRange", "\[Rule]", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "pM"}], ",", "pM"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "pM"}], ",", "pM"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "pM"}], ",", "pM"}], "}"}]}], "}"}]}], ",", 
                  RowBox[{"PlotPoints", "\[Rule]", 
                   RowBox[{"{", 
                    RowBox[{"80", ",", "160"}], "}"}]}], ",", 
                  RowBox[{"MaxRecursion", "\[Rule]", "1"}], ",", 
                  "\[IndentingNewLine]", 
                  RowBox[{"BoxRatios", "\[Rule]", "Automatic"}], ",", 
                  RowBox[{"ViewPoint", "\[Rule]", 
                   RowBox[{"view", "[", "s", "]"}]}], ",", 
                  "\[IndentingNewLine]", 
                  RowBox[{"ColorFunction", "\[Rule]", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Im", "[", 
                    RowBox[{"f", "[", 
                    RowBox[{"#4", ",", 
                    RowBox[{"#5", "-", 
                    RowBox[{"2", " ", "\[Pi]", " ", 
                    RowBox[{"\[Omega]", "/", "3"}]}]}]}], "]"}], "]"}], ">", 
                    "0"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"Hue", "[", 
                    RowBox[{"0.25", ",", "1", ",", "1", ",", "0.4"}], "]"}], 
                    ",", 
                    RowBox[{"Hue", "[", 
                    RowBox[{"0.75", ",", "1", ",", "1", ",", "0.4"}], "]"}]}],
                     "]"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"Specularity", "[", 
                    RowBox[{"White", ",", "100"}], "]"}]}], "]"}], "&"}], 
                    ")"}]}], ",", "\[IndentingNewLine]", 
                  RowBox[{"ColorFunctionScaling", "\[Rule]", "False"}], ",", 
                  RowBox[{"Exclusions", "\[Rule]", "None"}], ",", 
                  "\[IndentingNewLine]", 
                  RowBox[{"MeshFunctions", "\[Rule]", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Im", "[", 
                    RowBox[{"f", "[", 
                    RowBox[{"#4", ",", 
                    RowBox[{"#5", "-", 
                    RowBox[{"2", " ", "\[Pi]", " ", 
                    RowBox[{"\[Omega]", "/", "3"}]}]}]}], "]"}], "]"}], "&"}],
                     ",", 
                    RowBox[{
                    RowBox[{"Re", "[", 
                    RowBox[{"f", "[", 
                    RowBox[{"#4", ",", 
                    RowBox[{"#5", "-", 
                    RowBox[{"2", " ", "\[Pi]", " ", 
                    RowBox[{"\[Omega]", "/", "3"}]}]}]}], "]"}], "]"}], 
                    "&"}]}], "}"}]}], ",", "\[IndentingNewLine]", 
                  RowBox[{"Mesh", "\[Rule]", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Range", "[", 
                    RowBox[{
                    RowBox[{"-", "mMax"}], ",", "mMax", ",", 
                    RowBox[{"mMax", "/", "10"}]}], "]"}], ",", 
                    RowBox[{"Range", "[", 
                    RowBox[{
                    RowBox[{"-", "mMax"}], ",", "mMax", ",", 
                    RowBox[{"mMax", "/", "5"}]}], "]"}]}], "}"}]}], ",", 
                  "\[IndentingNewLine]", 
                  RowBox[{"MeshStyle", "\[Rule]", 
                   RowBox[{"{", 
                    RowBox[{"mStyle", ",", "mStyle"}], "}"}]}], ",", 
                  RowBox[{"BoundaryStyle", "\[Rule]", "None"}], ",", 
                  "\[IndentingNewLine]", 
                  RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
                  RowBox[{"Axes", "\[Rule]", "None"}], ",", 
                  RowBox[{"SphericalRegion", "\[Rule]", "True"}], ",", 
                  RowBox[{"ImageSize", "\[Rule]", "400"}]}], "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{"Center", ",", "Center"}], "}"}]}], "]"}]}]}], "]"}],
            ",", 
           RowBox[{"{", 
            RowBox[{"s", ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "}"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"ImageSize", "\[Rule]", "540"}], ",", 
         RowBox[{"Spacings", "\[Rule]", "0"}]}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"\[Omega]", ",", "0", ",", 
         RowBox[{"1", "-", 
          RowBox[{"1", "/", "20"}]}], ",", 
         RowBox[{"1", "/", "20"}]}], "}"}]}], "]"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.8355552755854063`*^9, 3.8355552955651217`*^9}, {
   3.8355553460609465`*^9, 3.8355554389611197`*^9}, {3.835555482888437*^9, 
   3.835555842929287*^9}, {3.835555879530116*^9, 3.8355558882312045`*^9}, {
   3.835555925441266*^9, 3.8355560718914614`*^9}, {3.8355561087265987`*^9, 
   3.8355564042512856`*^9}, {3.835556566224079*^9, 3.835556589499997*^9}, {
   3.835556877776299*^9, 3.8355568883363376`*^9}, {3.8355571008648376`*^9, 
   3.835557208339703*^9}, 3.835557239832347*^9, {3.8355573442298346`*^9, 
   3.8355573700675836`*^9}, {3.8355574133074474`*^9, 3.83555741754086*^9}, {
   3.8355574522514753`*^9, 3.835557515705435*^9}, {3.8355577658924785`*^9, 
   3.835557774827894*^9}, {3.8355578053207707`*^9, 3.835557827081309*^9}, 
   3.835557864916222*^9, 3.8355579498964014`*^9, {3.835558024238408*^9, 
   3.8355580726177006`*^9}, {3.835558114873454*^9, 3.8355581543798513`*^9}, {
   3.8355583882627153`*^9, 3.835558570735713*^9}, 3.8355588240009875`*^9, {
   3.8355589956170645`*^9, 3.835559031436821*^9}, 3.8355605777732563`*^9, {
   3.835561118543533*^9, 3.8355611249795294`*^9}, {3.83556115875289*^9, 
   3.8355611690161176`*^9}, 3.8355630465260277`*^9, {3.8355632255622983`*^9, 
   3.8355632504158945`*^9}, {3.83556331533821*^9, 3.835563338411022*^9}, {
   3.835563511511151*^9, 3.8355635228678727`*^9}, {3.8355635669981623`*^9, 
   3.835563640246705*^9}, {3.8355636853767586`*^9, 3.835563709011862*^9}, 
   3.8355637430820284`*^9, {3.835564137028409*^9, 3.835564247955643*^9}, {
   3.8355645900025673`*^9, 3.8355645932049437`*^9}, 3.8355651928385916`*^9, {
   3.835644710386608*^9, 3.8356447814681025`*^9}, {3.8356448157101345`*^9, 
   3.83564484610931*^9}, {3.8356448934108024`*^9, 3.8356449144215384`*^9}, {
   3.8360162985646715`*^9, 3.8360163344817114`*^9}}],

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{"\"\<stereopsis5.gif\>\"", ",", "Stereo5", ",", 
   RowBox[{"ImageResolution", "\[Rule]", "90"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.629172579079088*^9, 3.629172606332336*^9}, 
   3.6291729516077423`*^9, {3.6291769649291997`*^9, 3.6291769715436115`*^9}, {
   3.6694294146091456`*^9, 3.669429453390814*^9}, {3.6694295251133394`*^9, 
   3.66942952528494*^9}, {3.669429968483719*^9, 3.6694299792009377`*^9}, 
   3.6695414937726173`*^9, {3.669541542304302*^9, 3.6695415424759026`*^9}, 
   3.6695427872984905`*^9, 3.669542874970644*^9, {3.6696138730631557`*^9, 
   3.6696138903791857`*^9}, {3.6696861629027576`*^9, 3.6696861631211576`*^9}, 
   3.6696862814941654`*^9, 3.66986256065805*^9, 3.6870392901593304`*^9, {
   3.687039490229682*^9, 3.687039497031294*^9}, {3.6870397058220606`*^9, 
   3.687039717615681*^9}, {3.7104498072224054`*^9, 3.7104498169568224`*^9}, 
   3.7104499946099343`*^9, 3.710450869621472*^9, {3.7119561182355337`*^9, 
   3.711956136471966*^9}, 3.711956221055314*^9, 3.7119582648253064`*^9, 
   3.7120398995014544`*^9, {3.712313120838914*^9, 3.7123131210417137`*^9}, {
   3.7326556355609922`*^9, 3.732655660770636*^9}, 3.732657635746906*^9, {
   3.7402166796299*^9, 3.7402167013763385`*^9}, {3.7407684545342298`*^9, 
   3.7407684753758664`*^9}, 3.7407758167939634`*^9, {3.7407763007692137`*^9, 
   3.7407763245436554`*^9}, {3.7407766041429462`*^9, 
   3.7407766173561697`*^9}, {3.7411134740028486`*^9, 
   3.7411134829104643`*^9}, {3.7414207980806737`*^9, 3.741420798283474*^9}, 
   3.744783897470586*^9, {3.7447936789552584`*^9, 3.744793682543265*^9}, 
   3.744852456774804*^9, 3.7448529884293385`*^9, {3.7452073885496655`*^9, 
   3.7452074029640903`*^9}, 3.7460552117927794`*^9, {3.7460559128736105`*^9, 
   3.7460559143244133`*^9}, {3.746991466930862*^9, 3.746991498240117*^9}, 
   3.7469916011066976`*^9, {3.747195658714813*^9, 3.747195677294446*^9}, 
   3.7471972139927454`*^9, 3.7472082014867215`*^9, {3.7472833609617367`*^9, 
   3.747283365080144*^9}, {3.7472973849875746`*^9, 3.7472973942695913`*^9}, 
   3.7482123299439473`*^9, {3.753848474247873*^9, 3.753848493326706*^9}, 
   3.791578362023325*^9, 3.791578711846819*^9, 3.7916240971105227`*^9, {
   3.796780856331231*^9, 3.7967808641419077`*^9}, {3.7967809334125547`*^9, 
   3.796780941770011*^9}, 3.796780987506962*^9, 3.7967810204679894`*^9, 
   3.796781363286549*^9, {3.796781549123394*^9, 3.7967815503106174`*^9}, {
   3.797842192666319*^9, 3.797842192885017*^9}, {3.7978424142313576`*^9, 
   3.7978424160746746`*^9}, 3.835481952808311*^9, 3.8354977812873507`*^9, {
   3.835503278589757*^9, 3.8355032814953575`*^9}, {3.835562952485468*^9, 
   3.835562959655699*^9}, {3.835563025687142*^9, 3.8355630259058495`*^9}, 
   3.8355646749514484`*^9, 3.835565031415085*^9},
 Background->RGBColor[
  0.9019607843137255, 0.8196078431372549, 0.9372549019607843]]
}, Closed]],

Cell[CellGroupData[{

Cell["\:7a7a\:9593\:30af\:30ed\:30bd\:30a4\:30c9\:66f2\:7dda\:306e\:5c04\:5f71\
", "Subsection",
 CellChangeTimes->{{3.835828023279041*^9, 3.835828023279041*^9}, {
  3.8358280539906387`*^9, 3.8358280830776143`*^9}},
 FontFamily->"Arial",
 FontSize->16],

Cell[BoxData[
 RowBox[{"Stereo6", "=", "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"x0", ",", "x1", ",", "y0", ",", "y1", ",", "z0", ",", "z1", ",", 
      RowBox[{"n", "=", "4"}], ",", "vX", ",", "vY", ",", "vZ", ",", "view", 
      ",", 
      RowBox[{"c", "=", "0.03"}], ",", "\[Phi]"}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"x0", ",", "x1"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"y0", ",", "y1"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"z0", ",", "z1"}], "}"}]}], "}"}], "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "}"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"clothoidPoints", "[", 
       RowBox[{"x0_", ",", "x1_"}], "]"}], ":=", "\[IndentingNewLine]", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"x0", ",", 
          RowBox[{"FresnelC", "[", 
           RowBox[{"n", " ", "t"}], "]"}], ",", 
          RowBox[{"FresnelS", "[", 
           RowBox[{"n", " ", "t"}], "]"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"t", ",", "x0", ",", "x1", ",", 
          RowBox[{
           RowBox[{"N", "[", 
            RowBox[{"x1", "-", "x0"}], "]"}], "/", "1000"}]}], "}"}]}], 
       "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"fresnelSPoints", "[", 
       RowBox[{"x0_", ",", "x1_", ",", "y1_"}], "]"}], ":=", 
      "\[IndentingNewLine]", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"t", ",", "y1", ",", 
          RowBox[{"FresnelS", "[", 
           RowBox[{"n", " ", "t"}], "]"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"t", ",", "x0", ",", "x1", ",", 
          RowBox[{
           RowBox[{"N", "[", 
            RowBox[{"x1", "-", "x0"}], "]"}], "/", "1000"}]}], "}"}]}], 
       "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"fresnelCPoints", "[", 
       RowBox[{"x0_", ",", "x1_", ",", "z0_"}], "]"}], ":=", 
      "\[IndentingNewLine]", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"t", ",", 
          RowBox[{"FresnelC", "[", 
           RowBox[{"n", " ", "t"}], "]"}], ",", "z0"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"t", ",", "x0", ",", "x1", ",", 
          RowBox[{
           RowBox[{"N", "[", 
            RowBox[{"x1", "-", "x0"}], "]"}], "/", "1000"}]}], "}"}]}], 
       "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"curve3DPoints", "[", 
       RowBox[{"x0_", ",", "x1_"}], "]"}], ":=", "\[IndentingNewLine]", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"t", ",", 
          RowBox[{"FresnelC", "[", 
           RowBox[{"n", " ", "t"}], "]"}], ",", 
          RowBox[{"FresnelS", "[", 
           RowBox[{"n", " ", "t"}], "]"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"t", ",", "x0", ",", "x1", ",", 
          RowBox[{
           RowBox[{"N", "[", 
            RowBox[{"x1", "-", "x0"}], "]"}], "/", "2000"}]}], "}"}]}], 
       "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"vX", ",", "vY", ",", "vZ"}], "}"}], "=", 
      RowBox[{"{", 
       RowBox[{"3.18", ",", 
        RowBox[{"-", "1.13"}], ",", "0.91"}], "}"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"\[Phi]", "[", "s_", "]"}], ":=", 
      RowBox[{"N", "[", 
       RowBox[{
        RowBox[{"ArcTan", "[", 
         RowBox[{"vX", ",", "vY"}], "]"}], "+", 
        RowBox[{"s", "*", 
         RowBox[{"ArcTan", "[", 
          RowBox[{
           SqrtBox[
            RowBox[{
             SuperscriptBox["vX", "2"], "+", 
             SuperscriptBox["vY", "2"]}]], ",", "c"}], "]"}]}]}], "]"}]}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"view", "[", "s_", "]"}], ":=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         SqrtBox[
          RowBox[{
           SuperscriptBox["vX", "2"], "+", 
           SuperscriptBox["vY", "2"], "+", 
           SuperscriptBox["c", "2"]}]], " ", 
         RowBox[{"Cos", "[", 
          RowBox[{"\[Phi]", "[", "s", "]"}], "]"}]}], ",", 
        RowBox[{
         SqrtBox[
          RowBox[{
           SuperscriptBox["vX", "2"], "+", 
           SuperscriptBox["vY", "2"], "+", 
           SuperscriptBox["c", "2"]}]], " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"\[Phi]", "[", "s", "]"}], "]"}]}], ",", "vZ"}], "}"}]}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"GraphicsRow", "[", 
      RowBox[{
       RowBox[{"Table", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"Graphics3D", "[", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Table", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Hue", "[", 
                  RowBox[{
                   RowBox[{"1", "/", "6"}], ",", "0.5", ",", "0.6", ",", 
                   RowBox[{"1.2", "-", "b"}]}], "]"}], ",", 
                 RowBox[{"Thickness", "[", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"b", "-", "0.4"}], ")"}], "/", "250"}], "]"}], 
                 ",", "\[IndentingNewLine]", 
                 RowBox[{"BezierCurve", "[", 
                  RowBox[{"clothoidPoints", "[", 
                   RowBox[{"x0", ",", "x1"}], "]"}], "]"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"b", ",", "1.1", ",", "0.5", ",", 
                 RowBox[{"-", "0.2"}]}], "}"}]}], "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"Table", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Hue", "[", 
                  RowBox[{"0.95", ",", "0.3", ",", "0.6", ",", 
                   RowBox[{"1.2", "-", "b"}]}], "]"}], ",", 
                 RowBox[{"Thickness", "[", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"b", "-", "0.4"}], ")"}], "/", "200"}], "]"}], 
                 ",", "\[IndentingNewLine]", 
                 RowBox[{"BezierCurve", "[", 
                  RowBox[{"fresnelSPoints", "[", 
                   RowBox[{"x0", ",", "x1", ",", "y1"}], "]"}], "]"}]}], 
                "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"b", ",", "1.1", ",", "0.5", ",", 
                 RowBox[{"-", "0.2"}]}], "}"}]}], "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"Table", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Hue", "[", 
                  RowBox[{"0.6", ",", "0.4", ",", "0.6", ",", 
                   RowBox[{"1.2", "-", "b"}]}], "]"}], ",", 
                 RowBox[{"Thickness", "[", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"b", "-", "0.4"}], ")"}], "/", "200"}], "]"}], 
                 ",", "\[IndentingNewLine]", 
                 RowBox[{"BezierCurve", "[", 
                  RowBox[{"fresnelCPoints", "[", 
                   RowBox[{"x0", ",", "x1", ",", "z0"}], "]"}], "]"}]}], 
                "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"b", ",", "1.1", ",", "0.5", ",", 
                 RowBox[{"-", "0.2"}]}], "}"}]}], "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Hue", "[", 
                RowBox[{"0.8", ",", "1", ",", "0.9"}], "]"}], ",", 
               RowBox[{"Specularity", "[", 
                RowBox[{"White", ",", "50"}], "]"}], ",", 
               RowBox[{"CapForm", "[", "None", "]"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{"Tube", "[", 
                RowBox[{
                 RowBox[{"BezierCurve", "[", 
                  RowBox[{"curve3DPoints", "[", 
                   RowBox[{"x0", ",", "x1"}], "]"}], "]"}], ",", "0.009"}], 
                "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"EdgeForm", "[", "]"}], ",", 
               RowBox[{"Hue", "[", 
                RowBox[{
                 RowBox[{"1", "/", "6"}], ",", "0.2", ",", "1"}], "]"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{"Polygon", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"x0", ",", "y0", ",", "z0"}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"x0", ",", "y1", ",", "z0"}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"x0", ",", "y1", ",", "z1"}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"x0", ",", "y0", ",", "z1"}], "}"}]}], "}"}], 
                "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"EdgeForm", "[", "]"}], ",", 
               RowBox[{"Hue", "[", 
                RowBox[{"0", ",", "0.15", ",", "1"}], "]"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{"Polygon", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"x0", ",", "y1", ",", "z0"}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"x1", ",", "y1", ",", "z0"}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"x1", ",", "y1", ",", "z1"}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"x0", ",", "y1", ",", "z1"}], "}"}]}], "}"}], 
                "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"EdgeForm", "[", "]"}], ",", 
               RowBox[{"Hue", "[", 
                RowBox[{"0.6", ",", "0.25", ",", "1"}], "]"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{"Polygon", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"x0", ",", "y0", ",", "z0"}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"x1", ",", "y0", ",", "z0"}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"x1", ",", "y1", ",", "z0"}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"x0", ",", "y1", ",", "z0"}], "}"}]}], "}"}], 
                "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"GrayLevel", "[", 
                RowBox[{"0", ",", "0.3"}], "]"}], ",", 
               RowBox[{"Thickness", "[", "0.0008", "]"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{"Line", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"x0", ",", "y0", ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"x0", ",", "y1", ",", "0"}], "}"}]}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"x0", ",", "0", ",", "z0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"x0", ",", "0", ",", "z1"}], "}"}]}], "}"}], ",", 
                  "\[IndentingNewLine]", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"x0", ",", "y1", ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"x1", ",", "y1", ",", "0"}], "}"}]}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "y1", ",", "z0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "y1", ",", "z1"}], "}"}]}], "}"}], ",", 
                  "\[IndentingNewLine]", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"x0", ",", "0", ",", "z0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"x1", ",", "0", ",", "z0"}], "}"}]}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "y0", ",", "z0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "y1", ",", "z0"}], "}"}]}], "}"}]}], 
                 "}"}], "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"GrayLevel", "[", 
                RowBox[{"0", ",", "0.3"}], "]"}], ",", 
               RowBox[{"Thickness", "[", "0.0006", "]"}], ",", 
               RowBox[{"Dashing", "[", 
                RowBox[{"{", 
                 RowBox[{"0.006", ",", "0.004"}], "}"}], "]"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{"Line", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"x0", ",", "y0", ",", 
                    RowBox[{"-", "0.5"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"x0", ",", "y1", ",", 
                    RowBox[{"-", "0.5"}]}], "}"}]}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"x0", ",", "y0", ",", "0.5"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"x0", ",", "y1", ",", "0.5"}], "}"}]}], "}"}], 
                  ",", "\[IndentingNewLine]", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"x0", ",", 
                    RowBox[{"-", "0.5"}], ",", "z0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"x0", ",", 
                    RowBox[{"-", "0.5"}], ",", "z1"}], "}"}]}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"x0", ",", "0.5", ",", "z0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"x0", ",", "0.5", ",", "z1"}], "}"}]}], "}"}], 
                  ",", "\[IndentingNewLine]", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"x0", ",", "y1", ",", 
                    RowBox[{"-", "0.5"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"x1", ",", "y1", ",", 
                    RowBox[{"-", "0.5"}]}], "}"}]}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"x0", ",", "y1", ",", "0.5"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"x1", ",", "y1", ",", "0.5"}], "}"}]}], "}"}], 
                  ",", "\[IndentingNewLine]", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"x0", ",", 
                    RowBox[{"-", "0.5"}], ",", "z0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"x1", ",", 
                    RowBox[{"-", "0.5"}], ",", "z0"}], "}"}]}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"x0", ",", "0.5", ",", "z0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"x1", ",", "0.5", ",", "z0"}], "}"}]}], "}"}]}], 
                 "}"}], "]"}]}], "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
           RowBox[{"BoxRatios", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{"2", ",", "1", ",", "1"}], "}"}]}], ",", 
           RowBox[{"ViewPoint", "\[Rule]", 
            RowBox[{"view", "[", "s", "]"}]}], ",", "\[IndentingNewLine]", 
           RowBox[{"ViewVertical", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], ",", 
           RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
           RowBox[{"Axes", "\[Rule]", "False"}], ",", "\[IndentingNewLine]", 
           RowBox[{"Lighting", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"\"\<Point\>\"", ",", 
                RowBox[{"GrayLevel", "[", "0.68", "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"10", " ", "x1"}], ",", "0", ",", "0"}], "}"}]}], 
               "}"}], ",", "\[IndentingNewLine]", 
              RowBox[{"{", 
               RowBox[{"\"\<Point\>\"", ",", 
                RowBox[{"GrayLevel", "[", "0.77", "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{"0", ",", 
                  RowBox[{
                   RowBox[{"-", "10"}], " ", "y1"}], ",", "0"}], "}"}]}], 
               "}"}], ",", "\[IndentingNewLine]", 
              RowBox[{"{", 
               RowBox[{"\"\<Point\>\"", ",", 
                RowBox[{"GrayLevel", "[", "0.77", "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{"0", ",", "0", ",", 
                  RowBox[{"10", " ", "z1"}]}], "}"}]}], "}"}]}], "}"}]}]}], 
          "]"}], ",", "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{"s", ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "}"}]}], "]"}], ",", 
       RowBox[{"ImageSize", "\[Rule]", "650"}], ",", 
       RowBox[{"Spacings", "\[Rule]", "0"}]}], "]"}]}]}], "]"}]}]], "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.547362927906498*^9, 3.547363008387039*^9}, 
   3.547363237438242*^9, {3.5473634539666224`*^9, 3.54736365732858*^9}, {
   3.5473636976390505`*^9, 3.5473637003534555`*^9}, {3.547363743425131*^9, 
   3.547363750757144*^9}, {3.547363797588426*^9, 3.547363970265129*^9}, {
   3.5473640341160417`*^9, 3.547364100213358*^9}, {3.54736413032141*^9, 
   3.5473642829988785`*^9}, {3.5473643160397367`*^9, 3.547364414319909*^9}, {
   3.5473645261565056`*^9, 3.547364527466908*^9}, {3.547364588260215*^9, 
   3.5473646064654465`*^9}, {3.547364879617927*^9, 3.5473648856083374`*^9}, {
   3.547364925170007*^9, 3.5473649761040964`*^9}, {3.5473650141379633`*^9, 
   3.5473650366332026`*^9}, {3.547365222257929*^9, 3.5473652855784397`*^9}, {
   3.547367167160147*^9, 3.547367207891819*^9}, {3.5473673294160323`*^9, 
   3.5473673598204856`*^9}, {3.5473675265847783`*^9, 
   3.5473675294239836`*^9}, {3.547367728230733*^9, 3.547367756778783*^9}, 
   3.5473679393459034`*^9, {3.5473680047724185`*^9, 3.547368120743022*^9}, {
   3.547368198134758*^9, 3.5473682492560477`*^9}, {3.5473683850074863`*^9, 
   3.547368388361492*^9}, {3.547368473272441*^9, 3.547368505564498*^9}, {
   3.5473686568067636`*^9, 3.547368763308151*^9}, 3.547368816363844*^9, {
   3.547368867656734*^9, 3.547369003766973*^9}, {3.5473690581174684`*^9, 
   3.5473690998319416`*^9}, {3.54736917298047*^9, 3.547369380679235*^9}, {
   3.5473694162160974`*^9, 3.547369449927757*^9}, {3.5473695699855676`*^9, 
   3.5473695758199778`*^9}, {3.54736961675445*^9, 3.5473696171600504`*^9}, {
   3.5473697696815186`*^9, 3.5473698157171993`*^9}, {3.6221910240423126`*^9, 
   3.6221910372087355`*^9}, {3.6221910960676394`*^9, 
   3.6221912550475187`*^9}, {3.6221913053264065`*^9, 3.62219134130007*^9}, {
   3.622191372188124*^9, 3.6221913806901393`*^9}, {3.622191467951825*^9, 
   3.622191505969092*^9}, {3.6221915751470275`*^9, 3.622191611120691*^9}, 
   3.622191660151577*^9, {3.6221916976696424`*^9, 3.6221917627841573`*^9}, 
   3.622191837882689*^9, {3.6221918679127417`*^9, 3.622191901702401*^9}, {
   3.622191950046886*^9, 3.6221919524492903`*^9}, {3.6221920009185753`*^9, 
   3.622192029295025*^9}, {3.622192068513494*^9, 3.6221920858295245`*^9}, {
   3.622192132146006*^9, 3.6221922185233574`*^9}, {3.622192385693251*^9, 
   3.6221924302313294`*^9}, {3.6221924626481867`*^9, 
   3.6221925457495327`*^9}, {3.622192640301298*^9, 3.6221927446654816`*^9}, {
   3.6221929705710793`*^9, 3.622192980570697*^9}, {3.622193128770957*^9, 
   3.6221931969742765`*^9}, 3.622193287480437*^9, {3.6221933179004903`*^9, 
   3.6221933321901155`*^9}, {3.622193410689453*^9, 3.62219342015867*^9}, {
   3.622193472122361*^9, 3.6221934785339727`*^9}, {3.6221935201704454`*^9, 
   3.622193526114056*^9}, {3.6221935656289253`*^9, 3.622193578436548*^9}, {
   3.6221936157830133`*^9, 3.622193677325122*^9}, {3.6221937912677217`*^9, 
   3.62219388716109*^9}, {3.622194380944563*^9, 3.6221944062166076`*^9}, {
   3.622194437619463*^9, 3.6221944990211706`*^9}, {3.6221945843065205`*^9, 
   3.622194610654967*^9}, {3.6221951183692646`*^9, 3.622195162517342*^9}, {
   3.6221954890415154`*^9, 3.622195511131154*^9}, {3.622281469327753*^9, 
   3.622281472993759*^9}, 3.622281580571548*^9, {3.622281836583598*^9, 
   3.622281851575224*^9}, {3.622281911198529*^9, 3.6222819167677383`*^9}, {
   3.6222820335651436`*^9, 3.6222820494927716`*^9}, 3.6222821769137955`*^9, {
   3.6222822236982775`*^9, 3.622282225523481*^9}, 3.622282274913168*^9, {
   3.6222824405542583`*^9, 3.6222824439706645`*^9}, {3.622282480006728*^9, 
   3.622282485419937*^9}, {3.622282581625306*^9, 3.622282636646603*^9}, {
   3.622282880687832*^9, 3.6222828856486406`*^9}, {3.6222829434311423`*^9, 
   3.6222829775796022`*^9}, {3.6222830114316616`*^9, 3.622283026407688*^9}, {
   3.622283132113474*^9, 3.6222831786015553`*^9}, {3.622283236462057*^9, 
   3.622283268020912*^9}, {3.6222833438682456`*^9, 3.6222833475810523`*^9}, {
   3.6222833786095066`*^9, 3.622283381869912*^9}, {3.622283697505267*^9, 
   3.6222837004692717`*^9}, 3.6222839728769503`*^9, 3.622284010239016*^9, {
   3.6222840827947435`*^9, 3.6222840910471582`*^9}, {3.622284150826463*^9, 
   3.6222841652564883`*^9}, {3.622284203679356*^9, 3.622284208328164*^9}, 
   3.622284249886637*^9, {3.622284285002299*^9, 3.6222842878727036`*^9}, {
   3.6222843290879765`*^9, 3.622284334173585*^9}, {3.622284377572861*^9, 
   3.6222843826740704`*^9}, {3.622284553673171*^9, 3.6222845543907723`*^9}, {
   3.622284923939822*^9, 3.6222849294622316`*^9}, {3.6222852663177547`*^9, 
   3.6222852956458063`*^9}, 3.6222853791371527`*^9, {3.6222854364204535`*^9, 
   3.6222854427540646`*^9}, 3.6222854853265395`*^9, 3.6222855406910367`*^9, {
   3.622285591796726*^9, 3.6222856676596594`*^9}, {3.62228570196412*^9, 
   3.6222857053649263`*^9}, {3.622285863050003*^9, 3.6222858695240145`*^9}, 
   3.6222859509405575`*^9, 3.622286025898689*^9, 3.622286347072053*^9, {
   3.6222864048233547`*^9, 3.6222864680034657`*^9}, {3.622286503555928*^9, 
   3.622286512915944*^9}, {3.6222865801052628`*^9, 3.6222866686666183`*^9}, 
   3.6222867128146954`*^9, {3.622286817334879*^9, 3.6222868881902037`*^9}, {
   3.6222869363630877`*^9, 3.6222870048004084`*^9}, {3.6222870493852863`*^9, 
   3.6222870730349283`*^9}, 3.6222871245930185`*^9, {3.622287164154688*^9, 
   3.6222871767751102`*^9}, {3.622287309749744*^9, 3.622287376486661*^9}, {
   3.622287414488328*^9, 3.6222874203227377`*^9}, 3.6222874684176226`*^9, 
   3.6222875819078217`*^9, {3.6222876649155674`*^9, 3.622287676896389*^9}, {
   3.622287777157765*^9, 3.6222877918217907`*^9}, {3.622287882161549*^9, 
   3.6222878866855574`*^9}, {3.6222879415040536`*^9, 
   3.6222879673688993`*^9}, {3.6222880149333825`*^9, 3.622288025978202*^9}, {
   3.6224387350003843`*^9, 3.6224387542820177`*^9}, {3.6224388003800993`*^9, 
   3.6224388125637207`*^9}, {3.6224807892940507`*^9, 3.6224808217265077`*^9}, 
   3.6224984403582535`*^9, {3.622498584923707*^9, 3.622498588293313*^9}, {
   3.6224986441102114`*^9, 3.622498653735428*^9}, {3.6224987062919207`*^9, 
   3.622498708522724*^9}, {3.62250511564318*^9, 3.622505142787227*^9}, {
   3.622505186482904*^9, 3.6225051889009085`*^9}, {3.6225052265437746`*^9, 
   3.622505231473383*^9}, {3.622505287836282*^9, 3.6225052880702825`*^9}, {
   3.622505321672742*^9, 3.6225053237163453`*^9}, {3.6225053786440415`*^9, 
   3.622505378784442*^9}, {3.622505928935008*^9, 3.6225059467502394`*^9}, {
   3.6225134153626375`*^9, 3.6225134297926626`*^9}, {3.6225158505492706`*^9, 
   3.6225158712661066`*^9}, 3.6225160565944324`*^9, 3.622517857399195*^9, {
   3.732858606136012*^9, 3.732858635635664*^9}, 3.732858674339332*^9, 
   3.7328590856652546`*^9, {3.7328591336041384`*^9, 3.7328591614813876`*^9}, 
   3.732860395771557*^9, {3.73286064226759*^9, 3.7328606592404194`*^9}, {
   3.7328656566935973`*^9, 3.732865659938403*^9}, {3.7328661602624817`*^9, 
   3.7328661628364863`*^9}, 3.7328662436290283`*^9, {3.732866284891101*^9, 
   3.732866285078301*^9}, 3.734209515357913*^9, {3.7342096413437347`*^9, 
   3.734209645056541*^9}, {3.7342096790490007`*^9, 3.734209697488233*^9}, {
   3.734209890444972*^9, 3.7342099751843204`*^9}, {3.7342101696698627`*^9, 
   3.73421017399107*^9}, {3.7342102110723352`*^9, 3.734210211431136*^9}, {
   3.7342115470818834`*^9, 3.73421157949874*^9}, 3.734212136731719*^9, 
   3.734213857818342*^9, 3.734213955989315*^9, {3.734213989669774*^9, 
   3.734213994287382*^9}, {3.734214349494807*^9, 3.734214367715639*^9}, {
   3.7342144688662167`*^9, 3.7342144899262533`*^9}, {3.734214599008045*^9, 
   3.7342145996008463`*^9}, 3.7342146691621695`*^9, {3.7342152413075747`*^9, 
   3.734215289277659*^9}, {3.7342183648782644`*^9, 3.7342183716330767`*^9}, {
   3.73421899402017*^9, 3.734219054704277*^9}, 3.734219086575133*^9, {
   3.734219173155285*^9, 3.7342192234809732`*^9}, {3.734219276193466*^9, 
   3.7342193153651347`*^9}, {3.7342193659248238`*^9, 3.7342193716032333`*^9}, 
   3.734219407764097*^9, {3.7342211456227493`*^9, 3.73422116872639*^9}, {
   3.7342212163064737`*^9, 3.734221269268566*^9}, {3.7342213142278457`*^9, 
   3.7342213177846518`*^9}, {3.734221456905696*^9, 3.734221466562113*^9}, {
   3.7342215165290008`*^9, 3.734221561971881*^9}, 3.7342216717492733`*^9, {
   3.734221713557347*^9, 3.7342217228549633`*^9}, {3.734221771667449*^9, 
   3.734221774756254*^9}, {3.7342218840188465`*^9, 3.734221898667272*^9}, 
   3.7342219352181363`*^9, {3.7342220939952154`*^9, 3.7342221044784336`*^9}, {
   3.7342222115258217`*^9, 3.7342222355342636`*^9}, {3.734222473153881*^9, 
   3.7342224738558826`*^9}, {3.7342225600148335`*^9, 
   3.7342225874552817`*^9}, {3.734222753751574*^9, 3.7342227677291985`*^9}, {
   3.734222959874736*^9, 3.734222963759143*^9}, 3.7342284475759773`*^9, 
   3.8030120549731436`*^9, {3.803012085840868*^9, 3.8030121469983006`*^9}, {
   3.8030122705941963`*^9, 3.80301231016299*^9}, {3.8030124115395155`*^9, 
   3.803012434252882*^9}, {3.803012489222207*^9, 3.8030125249637375`*^9}, {
   3.8030125561751614`*^9, 3.8030125596118517`*^9}, {3.8030125923072395`*^9, 
   3.803012613442909*^9}, 3.80301266866424*^9, {3.803012703921593*^9, 
   3.8030127059211116`*^9}, {3.80301279626509*^9, 3.803012798998827*^9}, {
   3.803012901099518*^9, 3.803012904426859*^9}, {3.803013323640482*^9, 
   3.8030133241403646`*^9}, 3.8030133734412384`*^9, {3.8030134111511354`*^9, 
   3.803013490441599*^9}, {3.8030143899195585`*^9, 3.8030143933562546`*^9}, {
   3.8030144716829405`*^9, 3.803014503816017*^9}, {3.8030145872351913`*^9, 
   3.803014588375552*^9}, {3.8030146824429717`*^9, 3.8030146858172226`*^9}, {
   3.8030148029024477`*^9, 3.803014805729912*^9}, {3.8030148866026506`*^9, 
   3.8030149178609037`*^9}, {3.8030160528999133`*^9, 3.803016057351989*^9}, 
   3.8030161148540707`*^9, {3.80301619233212*^9, 3.8030162144362545`*^9}, {
   3.8030163487484183`*^9, 3.80301636674413*^9}, 3.803016452624332*^9, {
   3.803016534464411*^9, 3.803016552396884*^9}, {3.8030165968082676`*^9, 
   3.8030165969801335`*^9}, 3.803016648186779*^9, 3.803016771839224*^9, 
   3.803023090475137*^9, 3.835514953637806*^9, 3.8355149954405537`*^9, 
   3.835562915853424*^9, {3.8355789464945946`*^9, 3.83557902708514*^9}, 
   3.8355791378717566`*^9, {3.8355792334744053`*^9, 3.835579241316345*^9}, {
   3.8355792774953613`*^9, 3.83557935582084*^9}, 3.835579806481092*^9, 
   3.8360163683176155`*^9, 3.836016399747774*^9}],

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{"\"\<stereopsis6.png\>\"", ",", "Stereo6", ",", 
   RowBox[{"ImageResolution", "\[Rule]", "200"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.629172579079088*^9, 3.629172606332336*^9}, 
   3.6291729516077423`*^9, {3.6291769649291997`*^9, 3.6291769715436115`*^9}, {
   3.6694294146091456`*^9, 3.669429453390814*^9}, {3.6694295251133394`*^9, 
   3.66942952528494*^9}, {3.669429968483719*^9, 3.6694299792009377`*^9}, 
   3.6695414937726173`*^9, {3.669541542304302*^9, 3.6695415424759026`*^9}, 
   3.6695427872984905`*^9, 3.669542874970644*^9, {3.6696138730631557`*^9, 
   3.6696138903791857`*^9}, {3.6696861629027576`*^9, 3.6696861631211576`*^9}, 
   3.6696862814941654`*^9, 3.66986256065805*^9, 3.6870392901593304`*^9, {
   3.687039490229682*^9, 3.687039497031294*^9}, {3.6870397058220606`*^9, 
   3.687039717615681*^9}, {3.7104498072224054`*^9, 3.7104498169568224`*^9}, 
   3.7104499946099343`*^9, 3.710450869621472*^9, {3.7119561182355337`*^9, 
   3.711956136471966*^9}, 3.711956221055314*^9, 3.7119582648253064`*^9, 
   3.7120398995014544`*^9, {3.712313120838914*^9, 3.7123131210417137`*^9}, {
   3.7326556355609922`*^9, 3.732655660770636*^9}, 3.732657635746906*^9, {
   3.7402166796299*^9, 3.7402167013763385`*^9}, {3.7407684545342298`*^9, 
   3.7407684753758664`*^9}, 3.7407758167939634`*^9, {3.7407763007692137`*^9, 
   3.7407763245436554`*^9}, {3.7407766041429462`*^9, 
   3.7407766173561697`*^9}, {3.7411134740028486`*^9, 
   3.7411134829104643`*^9}, {3.7414207980806737`*^9, 3.741420798283474*^9}, 
   3.744783897470586*^9, {3.7447936789552584`*^9, 3.744793682543265*^9}, 
   3.744852456774804*^9, 3.7448529884293385`*^9, {3.7452073885496655`*^9, 
   3.7452074029640903`*^9}, 3.7460552117927794`*^9, {3.7460559128736105`*^9, 
   3.7460559143244133`*^9}, {3.746991466930862*^9, 3.746991498240117*^9}, 
   3.7469916011066976`*^9, {3.747195658714813*^9, 3.747195677294446*^9}, 
   3.7471972139927454`*^9, 3.7472082014867215`*^9, {3.7472833609617367`*^9, 
   3.747283365080144*^9}, {3.7472973849875746`*^9, 3.7472973942695913`*^9}, 
   3.7482123299439473`*^9, {3.753848474247873*^9, 3.753848493326706*^9}, 
   3.791578362023325*^9, 3.791578711846819*^9, 3.7916240971105227`*^9, {
   3.796780856331231*^9, 3.7967808641419077`*^9}, {3.7967809334125547`*^9, 
   3.796780941770011*^9}, 3.796780987506962*^9, 3.7967810204679894`*^9, 
   3.796781363286549*^9, {3.796781549123394*^9, 3.7967815503106174`*^9}, {
   3.797842192666319*^9, 3.797842192885017*^9}, {3.7978424142313576`*^9, 
   3.7978424160746746`*^9}, 3.835481952808311*^9, 3.8354977812873507`*^9, {
   3.835503278589757*^9, 3.8355032814953575`*^9}, {3.8355149821623707`*^9, 
   3.835514985505341*^9}, {3.835562926944579*^9, 3.835562928834774*^9}},
 Background->RGBColor[
  0.9019607843137255, 0.9019607843137255, 0.9019607843137255]]
}, Closed]],

Cell[CellGroupData[{

Cell["\:4e09\:6b21\:5143\:306e\:91cf\:5b50\:529b\:5b66\:7684\:8abf\:548c\:632f\
\:52d5\:5b50", "Subsection",
 CellChangeTimes->{{3.8358280328549623`*^9, 3.8358280539906387`*^9}},
 FontFamily->"Arial",
 FontSize->16],

Cell[TextData[{
 StyleBox["\:6ce8\:610f",
  FontColor->RGBColor[1, 0, 0]],
 StyleBox["\:ff1a\:3053\:306e\:753b\:50cf\:306f\:4f5c\:6210\:4e2d\:306b",
  FontColor->RGBColor[0.5, 0, 0.5]],
 StyleBox["\:7d0411.0GB\:306e\:30e1\:30e2\:30ea\:30fc\:3092\:4f7f\:7528\:3059\
\:308b\:3002",
  FontColor->RGBColor[1, 0, 0]],
 "\n",
 StyleBox["Note",
  FontColor->RGBColor[1, 0, 0]],
 " : ",
 StyleBox["This graphics ",
  FontColor->RGBColor[0.5, 0, 0.5]],
 StyleBox["uses 11.0GB memory",
  FontColor->RGBColor[1, 0, 0]],
 StyleBox[" during creation.",
  FontColor->RGBColor[0.5, 0, 0.5]]
}], "Text",
 CellChangeTimes->{{3.7901985166538*^9, 3.7901987348825836`*^9}, {
   3.7901990805635905`*^9, 3.7901991759421577`*^9}, 3.7902017149090176`*^9, 
   3.790212764720835*^9, {3.790212806216908*^9, 3.790212853375791*^9}, {
   3.790212934409934*^9, 3.7902129459539537`*^9}, {3.790213118474657*^9, 
   3.7902132326668577`*^9}, {3.790369489408453*^9, 3.79036967004117*^9}, {
   3.790370237710567*^9, 3.7903702407837725`*^9}, {3.797108497944869*^9, 
   3.797108509801462*^9}, {3.805564481776891*^9, 3.805564483542101*^9}, {
   3.805564568881427*^9, 3.8055645706310744`*^9}, {3.8133679881791077`*^9, 
   3.813368008100308*^9}, {3.8133687592383084`*^9, 3.8133687606755347`*^9}, {
   3.825487368365831*^9, 3.825487384018417*^9}, {3.833754299085888*^9, 
   3.8337543023819876`*^9}, {3.835828422691779*^9, 3.8358284268626523`*^9}, {
   3.8360222587141504`*^9, 3.8360223067186327`*^9}},
 FontFamily->"Times New Roman"],

Cell[BoxData[
 StyleBox[
  RowBox[{"<<", "SpecialFunctions`KummerHypergeometric`"}],
  FontColor->RGBColor[0, 0, 1]]], "Input",
 CellChangeTimes->{{3.632549042285489*^9, 3.6325491441380672`*^9}, 
   3.6325558518200893`*^9, 3.6329063974173093`*^9, {3.6351196911810884`*^9, 
   3.6351197033335104`*^9}, {3.6719269409147377`*^9, 
   3.6719269432547417`*^9}, {3.6719651466169395`*^9, 
   3.6719651523109493`*^9}, {3.6723720491401205`*^9, 3.6723720574237356`*^9}, 
   3.694675898470289*^9, {3.7005373953216934`*^9, 3.70053742728615*^9}, {
   3.700957034655281*^9, 3.700957049912108*^9}, 3.7417285584157286`*^9, {
   3.7469900192202654`*^9, 3.7469900325582886`*^9}, 3.7538294582439036`*^9, {
   3.755060033407484*^9, 3.7550600409110975`*^9}, {3.757413388224821*^9, 
   3.757413392967229*^9}, {3.7574135970779877`*^9, 3.7574136062352037`*^9}, {
   3.758442572807083*^9, 3.7584425805602965`*^9}, {3.763975430324682*^9, 
   3.763975447453512*^9}, {3.7639754777955656`*^9, 3.7639754863599806`*^9}, 
   3.7644499210761976`*^9, {3.76548777486078*^9, 3.7654877796343884`*^9}, {
   3.765487835139286*^9, 3.765487858445727*^9}, {3.7673906335115085`*^9, 
   3.7673906399699197`*^9}, {3.791432637664789*^9, 3.7914326646584024`*^9}, 
   3.791609101833467*^9, 3.79244813532462*^9, 3.79246729130468*^9, {
   3.8000660122109213`*^9, 3.80006603240925*^9}, {3.815100682462741*^9, 
   3.8151006866336637`*^9}, {3.8182163566308775`*^9, 
   3.8182163589897013`*^9}, {3.8190101721514406`*^9, 3.819010213438671*^9}, {
   3.8200304259470844`*^9, 3.820030429649331*^9}, 3.823797038636086*^9}],

Cell[BoxData[
 RowBox[{"Stereo7", "=", "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"f", ",", "of", ",", "color", ",", 
      RowBox[{"max", "=", "0.0287655"}], ",", 
      RowBox[{"rN", "=", "15"}], ",", "vX", ",", "vY", ",", "vZ", ",", "view",
       ",", 
      RowBox[{"c", "=", "0.03"}], ",", "\[Phi]"}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"f", "[", 
       RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
      RowBox[{
       RowBox[{"Abs", "[", 
        RowBox[{
         RowBox[{"HermiteHNormalized", "[", 
          RowBox[{"6", ",", "x"}], "]"}], "*", 
         RowBox[{"HermiteHNormalized", "[", 
          RowBox[{"6", ",", "y"}], "]"}], "*", 
         RowBox[{"HermiteHNormalized", "[", 
          RowBox[{"6", ",", "z"}], "]"}]}], "]"}], "^", "2"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"of", "[", "v_", "]"}], ":=", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"v", "<", 
         RowBox[{"1", "/", 
          RowBox[{"(", 
           RowBox[{"2", " ", "rN"}], ")"}]}]}], ",", "0", ",", 
        RowBox[{"Sin", "[", 
         RowBox[{
          RowBox[{"\[Pi]", "/", "2"}], "*", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"v", "-", 
             RowBox[{"1", "/", 
              RowBox[{"(", 
               RowBox[{"2", " ", "rN"}], ")"}]}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "-", 
             RowBox[{"1", "/", 
              RowBox[{"(", 
               RowBox[{"2", " ", "rN"}], ")"}]}]}], ")"}]}]}], "]"}]}], 
       "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"color", "=", 
      RowBox[{"ColorData", "[", "\"\<Rainbow\>\"", "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"vX", ",", "vY", ",", "vZ"}], "}"}], "=", 
      RowBox[{"{", 
       RowBox[{"0.84", ",", 
        RowBox[{"-", "2.75"}], ",", "1.78"}], "}"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"\[Phi]", "[", "s_", "]"}], ":=", 
      RowBox[{"N", "[", 
       RowBox[{
        RowBox[{"ArcTan", "[", 
         RowBox[{"vX", ",", "vY"}], "]"}], "+", 
        RowBox[{"s", "*", 
         RowBox[{"ArcTan", "[", 
          RowBox[{
           SqrtBox[
            RowBox[{
             SuperscriptBox["vX", "2"], "+", 
             SuperscriptBox["vY", "2"]}]], ",", "c"}], "]"}]}]}], "]"}]}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"view", "[", "s_", "]"}], ":=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         SqrtBox[
          RowBox[{
           SuperscriptBox["vX", "2"], "+", 
           SuperscriptBox["vY", "2"], "+", 
           SuperscriptBox["c", "2"]}]], " ", 
         RowBox[{"Cos", "[", 
          RowBox[{"\[Phi]", "[", "s", "]"}], "]"}]}], ",", 
        RowBox[{
         SqrtBox[
          RowBox[{
           SuperscriptBox["vX", "2"], "+", 
           SuperscriptBox["vY", "2"], "+", 
           SuperscriptBox["c", "2"]}]], " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"\[Phi]", "[", "s", "]"}], "]"}]}], ",", "vZ"}], "}"}]}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"GraphicsRow", "[", 
      RowBox[{
       RowBox[{"Table", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"Show", "[", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"Table", "[", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"ParametricPlot3D", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{"{", 
                RowBox[{"x", ",", 
                 RowBox[{"-", "4"}], ",", "4"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"y", ",", 
                 RowBox[{"-", "4"}], ",", "4"}], "}"}], ",", 
               RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
               RowBox[{"PlotPoints", "\[Rule]", "160"}], ",", 
               RowBox[{"MaxRecursion", "\[Rule]", "1"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{"ColorFunction", "\[Rule]", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"Directive", "[", 
                   RowBox[{
                    RowBox[{"color", "[", 
                    RowBox[{
                    RowBox[{"f", "[", 
                    RowBox[{"#4", ",", "#5", ",", "z"}], "]"}], "/", "max"}], 
                    "]"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"Opacity", "[", 
                    RowBox[{"of", "[", 
                    RowBox[{
                    RowBox[{"f", "[", 
                    RowBox[{"#4", ",", "#5", ",", "z"}], "]"}], "/", "max"}], 
                    "]"}], "]"}]}], "]"}], "&"}], ")"}]}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{"ColorFunctionScaling", "\[Rule]", "False"}], ",", 
               RowBox[{"Mesh", "\[Rule]", 
                StyleBox["None",
                 FontColor->GrayLevel[0]]}], 
               StyleBox[",",
                FontColor->GrayLevel[0]], 
               StyleBox["\[IndentingNewLine]",
                FontColor->GrayLevel[0]], 
               RowBox[{"RegionFunction", "\[Rule]", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"f", "[", 
                    RowBox[{"#4", ",", "#5", ",", "z"}], "]"}], ">", 
                    RowBox[{"max", "/", "rN"}]}], " ", "&&", " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"#2", ">", "0"}], " ", "||", " ", 
                    RowBox[{
                    RowBox[{"#2", "-", "#1"}], ">", "0"}]}], ")"}]}], "&"}], 
                 ")"}]}]}], "]"}], ",", "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{"z", ",", 
               RowBox[{"-", "4"}], ",", "4", ",", 
               RowBox[{"8", "/", "100"}]}], "}"}]}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Table", "[", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"ParametricPlot3D", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{"{", 
                RowBox[{"y", ",", 
                 RowBox[{"-", "4"}], ",", "4"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"z", ",", 
                 RowBox[{"-", "4"}], ",", "4"}], "}"}], ",", 
               RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
               RowBox[{"PlotPoints", "\[Rule]", "160"}], ",", 
               RowBox[{"MaxRecursion", "\[Rule]", "1"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{"ColorFunction", "\[Rule]", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"Directive", "[", 
                   RowBox[{
                    RowBox[{"color", "[", 
                    RowBox[{
                    RowBox[{"f", "[", 
                    RowBox[{"x", ",", "#4", ",", "#5"}], "]"}], "/", "max"}], 
                    "]"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"Opacity", "[", 
                    RowBox[{"of", "[", 
                    RowBox[{
                    RowBox[{"f", "[", 
                    RowBox[{"x", ",", "#4", ",", "#5"}], "]"}], "/", "max"}], 
                    "]"}], "]"}]}], "]"}], "&"}], ")"}]}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{"ColorFunctionScaling", "\[Rule]", "False"}], ",", 
               RowBox[{"Mesh", "\[Rule]", 
                StyleBox["None",
                 FontColor->GrayLevel[0]]}], 
               StyleBox[",",
                FontColor->GrayLevel[0]], 
               StyleBox["\[IndentingNewLine]",
                FontColor->GrayLevel[0]], 
               RowBox[{"RegionFunction", "\[Rule]", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"f", "[", 
                    RowBox[{"x", ",", "#4", ",", "#5"}], "]"}], ">", 
                    RowBox[{"max", "/", "rN"}]}], " ", "&&", " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"#2", ">", "0"}], " ", "||", " ", 
                    RowBox[{
                    RowBox[{"#2", "-", "#1"}], ">", "0"}]}], ")"}]}], "&"}], 
                 ")"}]}]}], "]"}], ",", "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{"x", ",", 
               RowBox[{"-", "4"}], ",", "4", ",", 
               RowBox[{"8", "/", "100"}]}], "}"}]}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Table", "[", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"ParametricPlot3D", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{"{", 
                RowBox[{"z", ",", 
                 RowBox[{"-", "4"}], ",", "4"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"x", ",", 
                 RowBox[{"-", "4"}], ",", "4"}], "}"}], ",", 
               RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
               RowBox[{"PlotPoints", "\[Rule]", "160"}], ",", 
               RowBox[{"MaxRecursion", "\[Rule]", "1"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{"ColorFunction", "\[Rule]", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"Directive", "[", 
                   RowBox[{
                    RowBox[{"color", "[", 
                    RowBox[{
                    RowBox[{"f", "[", 
                    RowBox[{"#5", ",", "y", ",", "#4"}], "]"}], "/", "max"}], 
                    "]"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"Opacity", "[", 
                    RowBox[{"of", "[", 
                    RowBox[{
                    RowBox[{"f", "[", 
                    RowBox[{"#5", ",", "y", ",", "#4"}], "]"}], "/", "max"}], 
                    "]"}], "]"}]}], "]"}], "&"}], ")"}]}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{"ColorFunctionScaling", "\[Rule]", "False"}], ",", 
               RowBox[{"Mesh", "\[Rule]", 
                StyleBox["None",
                 FontColor->GrayLevel[0]]}], 
               StyleBox[",",
                FontColor->GrayLevel[0]], 
               StyleBox["\[IndentingNewLine]",
                FontColor->GrayLevel[0]], 
               RowBox[{"RegionFunction", "\[Rule]", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"f", "[", 
                    RowBox[{"#5", ",", "y", ",", "#4"}], "]"}], ">", 
                    RowBox[{"max", "/", "rN"}]}], " ", "&&", " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"#2", ">", "0"}], " ", "||", " ", 
                    RowBox[{
                    RowBox[{"#2", "-", "#1"}], ">", "0"}]}], ")"}]}], "&"}], 
                 ")"}]}]}], "]"}], ",", "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{"y", ",", 
               RowBox[{"-", "4"}], ",", "4", ",", 
               RowBox[{"8", "/", "100"}]}], "}"}]}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"PlotRange", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", "4"}], ",", "4"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", "4"}], ",", "4"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", "4"}], ",", "4"}], "}"}]}], "}"}]}], ",", 
           RowBox[{"BoxRatios", "\[Rule]", "Automatic"}], ",", 
           RowBox[{"ViewPoint", "\[Rule]", 
            RowBox[{"view", "[", "s", "]"}]}], 
           StyleBox[",",
            FontColor->GrayLevel[0]], 
           RowBox[{
            StyleBox["Background",
             FontColor->GrayLevel[0]], "\[Rule]", "Black"}], ",", 
           RowBox[{"BoxStyle", "\[Rule]", "White"}], ",", 
           RowBox[{"AxesStyle", "\[Rule]", "White"}], ",", 
           RowBox[{"AxesLabel", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{"\"\<x\>\"", ",", "\"\<y\>\"", ",", "\"\<z\>\""}], 
             "}"}]}], ",", "\[IndentingNewLine]", 
           RowBox[{"LabelStyle", "\[Rule]", 
            RowBox[{"(", 
             RowBox[{"FontSize", "\[Rule]", "10"}], ")"}]}], ",", 
           RowBox[{"TicksStyle", "\[Rule]", "8"}], ",", "\[IndentingNewLine]", 
           RowBox[{"Lighting", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"\"\<Directional\>\"", ",", "White", ",", 
                RowBox[{"ImageScaled", "[", 
                 RowBox[{"{", 
                  RowBox[{"1", ",", 
                   RowBox[{"-", "1"}], ",", "0.5"}], "}"}], "]"}]}], "}"}], 
              ",", 
              RowBox[{"{", 
               RowBox[{"\"\<Ambient\>\"", ",", "White"}], "}"}]}], "}"}]}], 
           ",", "\[IndentingNewLine]", 
           RowBox[{"PlotRegion", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0.02", ",", "0.98"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0.02", ",", "0.98"}], "}"}]}], "}"}]}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{"s", ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "}"}]}], "]"}], ",", 
       RowBox[{"ImageSize", "\[Rule]", "630"}], ",", 
       RowBox[{"Spacings", "\[Rule]", "0"}]}], "]"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.8104097263498087`*^9, 3.810409727849461*^9}, {
   3.8104097694647417`*^9, 3.8104097747602806`*^9}, 3.810409961622445*^9, {
   3.810423853558039*^9, 3.810423858572482*^9}, {3.810671292021201*^9, 
   3.810671403354446*^9}, {3.8106714702604837`*^9, 3.8106714711508856`*^9}, {
   3.8106715928253345`*^9, 3.8106716054317493`*^9}, 3.812401246158272*^9, 
   3.8124012941158886`*^9, {3.8307509843994575`*^9, 3.830750995693677*^9}, {
   3.83075103605916*^9, 3.8307510862504854`*^9}, 3.8307511660442567`*^9, 
   3.8307516840693407`*^9, {3.8307517441645885`*^9, 3.8307517827961307`*^9}, {
   3.830751847343458*^9, 3.830751901018339*^9}, {3.830751950022443*^9, 
   3.830751952318775*^9}, {3.8307926856630754`*^9, 3.830792710047962*^9}, {
   3.8307927769384527`*^9, 3.8307927810000315`*^9}, 3.830792952059683*^9, {
   3.8307929930031548`*^9, 3.8307930188408604`*^9}, {3.830794186454073*^9, 
   3.830794271371602*^9}, {3.830794389468845*^9, 3.8307944186026154`*^9}, 
   3.830794478979045*^9, {3.830794632552314*^9, 3.830794643206068*^9}, {
   3.8307949598420467`*^9, 3.830794966371766*^9}, {3.830795140580798*^9, 
   3.830795177353407*^9}, {3.8307952671715865`*^9, 3.830795287682353*^9}, {
   3.830795593581049*^9, 3.830795629244529*^9}, 3.8307957200981665`*^9, 
   3.8307957721952724`*^9, {3.8307958276978483`*^9, 3.8307958284164934`*^9}, 
   3.830795929757459*^9, {3.830796117494548*^9, 3.830796152190527*^9}, {
   3.830796279928402*^9, 3.8307963194816017`*^9}, {3.8307964287371917`*^9, 
   3.8307964382349634`*^9}, 3.83079650670325*^9, 3.8307965425698166`*^9, {
   3.830796999866787*^9, 3.830797084159462*^9}, {3.8307971826519423`*^9, 
   3.83079719305575*^9}, 3.830797289986046*^9, {3.830797396086104*^9, 
   3.8307974036781025`*^9}, {3.8307975240716395`*^9, 3.8307975356470785`*^9}, 
   3.830797645856286*^9, {3.8307976870965633`*^9, 3.8307976998436527`*^9}, {
   3.8307977859327445`*^9, 3.8307978311252375`*^9}, 3.8307979467542706`*^9, {
   3.830798019877704*^9, 3.8307980448718634`*^9}, 3.8307981231034718`*^9, 
   3.83079823793585*^9, {3.8307982806757965`*^9, 3.830798301233466*^9}, {
   3.830798450760821*^9, 3.8307984538069754`*^9}, {3.8308040277609177`*^9, 
   3.830804045741065*^9}, 3.830804142077757*^9, {3.830804200314065*^9, 
   3.8308042099211817`*^9}, 3.8308042615028324`*^9, {3.8308043213637404`*^9, 
   3.830804336391449*^9}, {3.830804385754953*^9, 3.8308044038756275`*^9}, {
   3.8308044392423058`*^9, 3.8308045138810167`*^9}, 3.830804678690769*^9, {
   3.8308047467528763`*^9, 3.830804754079279*^9}, {3.8308048000216303`*^9, 
   3.8308048594295125`*^9}, {3.8308049698254337`*^9, 
   3.8308049955537615`*^9}, {3.830805070973556*^9, 3.8308051834002595`*^9}, {
   3.8308052285771036`*^9, 3.8308052426675763`*^9}, {3.8308058988296027`*^9, 
   3.830805942663088*^9}, {3.830833064398076*^9, 3.830833078582239*^9}, {
   3.830879110796373*^9, 3.8308791141705947`*^9}, {3.830879162581046*^9, 
   3.8308791949172287`*^9}, {3.830884550304719*^9, 3.8308845699094887`*^9}, {
   3.8308876623288703`*^9, 3.830887693883952*^9}, 3.830887744137728*^9, {
   3.830887774864914*^9, 3.830887831179792*^9}, {3.83088833259937*^9, 
   3.830888339535334*^9}, {3.830888750413768*^9, 3.830888764500837*^9}, {
   3.830896551529668*^9, 3.830896561089926*^9}, {3.830896605126522*^9, 
   3.8308966460544624`*^9}, {3.830896730878417*^9, 3.830896830164044*^9}, {
   3.8308969656455207`*^9, 3.8308970178833303`*^9}, {3.8308970715739193`*^9, 
   3.8308971139077787`*^9}, {3.8308972303181047`*^9, 3.830897252344177*^9}, {
   3.8308972859597607`*^9, 3.8308973034244237`*^9}, {3.830898341660165*^9, 
   3.8308983586561966`*^9}, {3.830898396819173*^9, 3.8308984182360077`*^9}, 
   3.830898517619081*^9, {3.830899661425454*^9, 3.8308996723759956`*^9}, {
   3.830900757013406*^9, 3.830900768713797*^9}, {3.830901196613877*^9, 
   3.830901204643262*^9}, 3.8309013954662285`*^9, {3.830901946337614*^9, 
   3.830901951367675*^9}, {3.8309068236148357`*^9, 3.8309068516083007`*^9}, {
   3.8309724975362544`*^9, 3.8309725056281404`*^9}, {3.8355782844187193`*^9, 
   3.8355783377812867`*^9}, {3.8355785057889166`*^9, 3.835578600766711*^9}, 
   3.835578644428396*^9, 3.835578745005228*^9, 3.835578799508092*^9, {
   3.835580238707877*^9, 3.8355802415666127`*^9}, {3.835583311405263*^9, 
   3.8355833148888574`*^9}, {3.8355833499642334`*^9, 
   3.8355834227597303`*^9}, {3.835588004048895*^9, 3.8355880099693937`*^9}, 
   3.8355880414308233`*^9, {3.836016532333173*^9, 3.836016559625998*^9}, {
   3.836022688521535*^9, 3.8360227030025387`*^9}}],

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{"\"\<stereopsis7.png\>\"", ",", "Stereo7", ",", 
   RowBox[{"ImageResolution", "\[Rule]", "200"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.629172579079088*^9, 3.629172606332336*^9}, 
   3.6291729516077423`*^9, {3.6291769649291997`*^9, 3.6291769715436115`*^9}, {
   3.6694294146091456`*^9, 3.669429453390814*^9}, {3.6694295251133394`*^9, 
   3.66942952528494*^9}, {3.669429968483719*^9, 3.6694299792009377`*^9}, 
   3.6695414937726173`*^9, {3.669541542304302*^9, 3.6695415424759026`*^9}, 
   3.6695427872984905`*^9, 3.669542874970644*^9, {3.6696138730631557`*^9, 
   3.6696138903791857`*^9}, {3.6696861629027576`*^9, 3.6696861631211576`*^9}, 
   3.6696862814941654`*^9, 3.66986256065805*^9, 3.6870392901593304`*^9, {
   3.687039490229682*^9, 3.687039497031294*^9}, {3.6870397058220606`*^9, 
   3.687039717615681*^9}, {3.7104498072224054`*^9, 3.7104498169568224`*^9}, 
   3.7104499946099343`*^9, 3.710450869621472*^9, {3.7119561182355337`*^9, 
   3.711956136471966*^9}, 3.711956221055314*^9, 3.7119582648253064`*^9, 
   3.7120398995014544`*^9, {3.712313120838914*^9, 3.7123131210417137`*^9}, {
   3.7326556355609922`*^9, 3.732655660770636*^9}, 3.732657635746906*^9, {
   3.7402166796299*^9, 3.7402167013763385`*^9}, {3.7407684545342298`*^9, 
   3.7407684753758664`*^9}, 3.7407758167939634`*^9, {3.7407763007692137`*^9, 
   3.7407763245436554`*^9}, {3.7407766041429462`*^9, 
   3.7407766173561697`*^9}, {3.7411134740028486`*^9, 
   3.7411134829104643`*^9}, {3.7414207980806737`*^9, 3.741420798283474*^9}, 
   3.744783897470586*^9, {3.7447936789552584`*^9, 3.744793682543265*^9}, 
   3.744852456774804*^9, 3.7448529884293385`*^9, {3.7452073885496655`*^9, 
   3.7452074029640903`*^9}, 3.7460552117927794`*^9, {3.7460559128736105`*^9, 
   3.7460559143244133`*^9}, {3.746991466930862*^9, 3.746991498240117*^9}, 
   3.7469916011066976`*^9, {3.747195658714813*^9, 3.747195677294446*^9}, 
   3.7471972139927454`*^9, 3.7472082014867215`*^9, {3.7472833609617367`*^9, 
   3.747283365080144*^9}, {3.7472973849875746`*^9, 3.7472973942695913`*^9}, 
   3.7482123299439473`*^9, {3.753848474247873*^9, 3.753848493326706*^9}, 
   3.791578362023325*^9, 3.791578711846819*^9, 3.7916240971105227`*^9, {
   3.796780856331231*^9, 3.7967808641419077`*^9}, {3.7967809334125547`*^9, 
   3.796780941770011*^9}, 3.796780987506962*^9, 3.7967810204679894`*^9, 
   3.796781363286549*^9, {3.796781549123394*^9, 3.7967815503106174`*^9}, {
   3.797842192666319*^9, 3.797842192885017*^9}, {3.7978424142313576`*^9, 
   3.7978424160746746`*^9}, 3.835481952808311*^9, 3.8354977812873507`*^9, {
   3.835503278589757*^9, 3.8355032814953575`*^9}, {3.8355149821623707`*^9, 
   3.835514985505341*^9}, {3.835562926944579*^9, 3.835562928834774*^9}, {
   3.8355782754208555`*^9, 3.835578277201689*^9}},
 Background->RGBColor[
  0.9019607843137255, 0.9019607843137255, 0.9019607843137255]]
}, Closed]],

Cell[CellGroupData[{

Cell["Riemann\:30bc\:30fc\:30bf\:95a2\:6570", "Subsection",
 CellChangeTimes->{{3.8358280328549623`*^9, 3.8358280539906387`*^9}, 
   3.8361956647660265`*^9},
 FontFamily->"Arial",
 FontSize->16],

Cell[BoxData[
 RowBox[{"Stereo8", "=", "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"f", ",", "x", ",", "y", ",", 
      RowBox[{"pr", "=", "5"}], ",", "b", ",", "iMin", ",", "ar", ",", 
      RowBox[{"eB", "=", 
       RowBox[{"-", "0.03"}]}], ",", "zeta0L", ",", "vX", ",", "vY", ",", 
      "vZ", ",", "view", ",", 
      RowBox[{"c", "=", "0.03"}], ",", "\[Phi]"}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"f", "[", 
       RowBox[{"x_", ",", "y_"}], "]"}], ":=", 
      RowBox[{"Zeta", "[", 
       RowBox[{"x", "+", 
        RowBox[{"I", " ", "y"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"b", ",", "iMin"}], "}"}], "=", 
      RowBox[{"{", 
       RowBox[{"2", ",", 
        RowBox[{"-", "16"}]}], "}"}]}], ";", 
     RowBox[{"ar", "=", "4"}], ";", "\[IndentingNewLine]", 
     RowBox[{"zeta0L", "=", 
      RowBox[{"Im", "[", 
       RowBox[{"N", "[", 
        RowBox[{"ZetaZero", "[", 
         RowBox[{"Range", "[", "13", "]"}], "]"}], "]"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"vX", ",", "vY", ",", "vZ"}], "}"}], "=", 
      RowBox[{"{", 
       RowBox[{"0.52", ",", 
        RowBox[{"-", "0.80"}], ",", "0.40"}], "}"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"\[Phi]", "[", "s_", "]"}], ":=", 
      RowBox[{"N", "[", 
       RowBox[{
        RowBox[{"ArcTan", "[", 
         RowBox[{"vX", ",", "vY"}], "]"}], "+", 
        RowBox[{"s", "*", 
         RowBox[{"ArcTan", "[", 
          RowBox[{
           SqrtBox[
            RowBox[{
             SuperscriptBox["vX", "2"], "+", 
             SuperscriptBox["vY", "2"]}]], ",", "c"}], "]"}]}]}], "]"}]}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"view", "[", "s_", "]"}], ":=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         SqrtBox[
          RowBox[{
           SuperscriptBox["vX", "2"], "+", 
           SuperscriptBox["vY", "2"], "+", 
           SuperscriptBox["c", "2"]}]], " ", 
         RowBox[{"Cos", "[", 
          RowBox[{"\[Phi]", "[", "s", "]"}], "]"}]}], ",", 
        RowBox[{
         SqrtBox[
          RowBox[{
           SuperscriptBox["vX", "2"], "+", 
           SuperscriptBox["vY", "2"], "+", 
           SuperscriptBox["c", "2"]}]], " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"\[Phi]", "[", "s", "]"}], "]"}]}], ",", "vZ"}], "}"}]}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"GraphicsRow", "[", 
      RowBox[{
       RowBox[{"Table", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"Show", "[", "\[IndentingNewLine]", 
          RowBox[{"(*", " ", 
           RowBox[{
            RowBox[{"Surface", " ", "of", " ", "\[Zeta]", 
             RowBox[{"(", "s", ")"}]}], ":", " ", 
            RowBox[{
             RowBox[{"Re", 
              RowBox[{"(", "s", ")"}]}], "<=", "0.5"}]}], " ", "*)"}], 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"Plot3D", "[", 
            RowBox[{
             RowBox[{"Min", "[", 
              RowBox[{"pr", ",", 
               RowBox[{"Abs", "[", 
                RowBox[{"f", "[", 
                 RowBox[{"x", ",", "y"}], "]"}], "]"}]}], "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{"x", ",", 
               RowBox[{"-", "14"}], ",", "0.5"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"y", ",", "0", ",", "60"}], "}"}], ",", 
             RowBox[{"PlotRange", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{"0", ",", "pr"}], "}"}]}], ",", 
             RowBox[{"PlotPoints", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{"108", ",", "450"}], "}"}]}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"MaxRecursion", "\[Rule]", "1"}], ",", 
             RowBox[{"Exclusions", "\[Rule]", "None"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"ColorFunction", "\[Rule]", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"Directive", "[", 
                 RowBox[{
                  RowBox[{"Hue", "[", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"Arg", "[", 
                    RowBox[{"f", "[", 
                    RowBox[{"#1", ",", "#2"}], "]"}], "]"}], "/", 
                    RowBox[{"(", 
                    RowBox[{"2", " ", "Pi"}], ")"}]}], ",", "0.8", ",", "1", 
                    ",", 
                    RowBox[{"0.9", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"#2", "/", "130"}]}], ")"}]}]}], "]"}], ",", 
                  "\[IndentingNewLine]", 
                  RowBox[{"Specularity", "[", 
                   RowBox[{
                    RowBox[{"GrayLevel", "[", "0.5", "]"}], ",", "100"}], 
                   "]"}]}], "]"}], "&"}], ")"}]}], ",", "\[IndentingNewLine]", 
             RowBox[{"ColorFunctionScaling", "\[Rule]", "False"}], ",", 
             RowBox[{"ClippingStyle", "\[Rule]", "None"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"MeshFunctions", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"#3", "&"}], ",", 
                RowBox[{
                 RowBox[{"Abs", "[", 
                  RowBox[{"Arg", "[", 
                   RowBox[{"f", "[", 
                    RowBox[{"#1", ",", "#2"}], "]"}], "]"}], "]"}], "&"}], 
                ",", 
                RowBox[{
                 RowBox[{"Im", "[", 
                  RowBox[{"f", "[", 
                   RowBox[{"#1", ",", "#2"}], "]"}], "]"}], "&"}]}], "}"}]}], 
             ",", "\[IndentingNewLine]", 
             RowBox[{"Mesh", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Table", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"N", "[", "b", "]"}], "^", "i"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"i", ",", "iMin", ",", 
                    RowBox[{"Ceiling", "[", 
                    RowBox[{"Log", "[", 
                    RowBox[{"b", ",", "pr"}], "]"}], "]"}]}], "}"}]}], "]"}], 
                ",", "\[IndentingNewLine]", 
                RowBox[{"Table", "[", 
                 RowBox[{
                  RowBox[{"j", "*", 
                   RowBox[{"Pi", "/", "ar"}]}], ",", 
                  RowBox[{"{", 
                   RowBox[{"j", ",", "1", ",", 
                    RowBox[{"ar", "-", "1"}]}], "}"}]}], "]"}], ",", 
                RowBox[{"{", "0", "}"}]}], "}"}]}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"MeshStyle", "\[Rule]", 
              RowBox[{"Directive", "[", 
               RowBox[{
                RowBox[{"GrayLevel", "[", 
                 RowBox[{"0", ",", "0.2"}], "]"}], ",", 
                RowBox[{"Thickness", "[", "0.0005", "]"}]}], "]"}]}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"BoundaryStyle", "\[Rule]", "None"}]}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"(*", " ", 
            RowBox[{
             RowBox[{"Surface", " ", "of", " ", "\[Zeta]", 
              RowBox[{"(", "s", ")"}]}], ":", " ", 
             RowBox[{
              RowBox[{"Re", 
               RowBox[{"(", "s", ")"}]}], ">", "0.5"}]}], " ", "*)"}], 
           "\[IndentingNewLine]", 
           RowBox[{"Plot3D", "[", 
            RowBox[{
             RowBox[{"Min", "[", 
              RowBox[{"pr", ",", 
               RowBox[{"Abs", "[", 
                RowBox[{"f", "[", 
                 RowBox[{"x", ",", "y"}], "]"}], "]"}]}], "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{"x", ",", "0.5", ",", "6"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"y", ",", "0", ",", "60"}], "}"}], ",", 
             RowBox[{"PlotRange", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{"0", ",", "pr"}], "}"}]}], ",", 
             RowBox[{"PlotPoints", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{"42", ",", "450"}], "}"}]}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"MaxRecursion", "\[Rule]", "1"}], ",", 
             RowBox[{"Exclusions", "\[Rule]", "None"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"ColorFunction", "\[Rule]", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"Directive", "[", 
                 RowBox[{
                  RowBox[{"Hue", "[", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"Arg", "[", 
                    RowBox[{"f", "[", 
                    RowBox[{"#1", ",", "#2"}], "]"}], "]"}], "/", 
                    RowBox[{"(", 
                    RowBox[{"2", " ", "Pi"}], ")"}]}], ",", "0.8", ",", "1", 
                    ",", 
                    RowBox[{"0.5", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"#2", "/", "130"}]}], ")"}]}]}], "]"}], ",", 
                  "\[IndentingNewLine]", 
                  RowBox[{"Specularity", "[", 
                   RowBox[{
                    RowBox[{"GrayLevel", "[", "0.5", "]"}], ",", "100"}], 
                   "]"}]}], "]"}], "&"}], ")"}]}], ",", "\[IndentingNewLine]", 
             RowBox[{"ColorFunctionScaling", "\[Rule]", "False"}], ",", 
             RowBox[{"ClippingStyle", "\[Rule]", "None"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"MeshFunctions", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"#3", "&"}], ",", 
                RowBox[{
                 RowBox[{"Abs", "[", 
                  RowBox[{"Arg", "[", 
                   RowBox[{"f", "[", 
                    RowBox[{"#1", ",", "#2"}], "]"}], "]"}], "]"}], "&"}], 
                ",", 
                RowBox[{
                 RowBox[{"Im", "[", 
                  RowBox[{"f", "[", 
                   RowBox[{"#1", ",", "#2"}], "]"}], "]"}], "&"}]}], "}"}]}], 
             ",", "\[IndentingNewLine]", 
             RowBox[{"Mesh", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Table", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"N", "[", "b", "]"}], "^", "i"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"i", ",", "iMin", ",", 
                    RowBox[{"Ceiling", "[", 
                    RowBox[{"Log", "[", 
                    RowBox[{"b", ",", "pr"}], "]"}], "]"}]}], "}"}]}], "]"}], 
                ",", "\[IndentingNewLine]", 
                RowBox[{"Table", "[", 
                 RowBox[{
                  RowBox[{"j", "*", 
                   RowBox[{"Pi", "/", "ar"}]}], ",", 
                  RowBox[{"{", 
                   RowBox[{"j", ",", "1", ",", 
                    RowBox[{"ar", "-", "1"}]}], "}"}]}], "]"}], ",", 
                RowBox[{"{", "0", "}"}]}], "}"}]}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"MeshStyle", "\[Rule]", 
              RowBox[{"Directive", "[", 
               RowBox[{
                RowBox[{"GrayLevel", "[", 
                 RowBox[{"0", ",", "0.2"}], "]"}], ",", 
                RowBox[{"Thickness", "[", "0.0005", "]"}]}], "]"}]}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"BoundaryStyle", "\[Rule]", "None"}]}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"(*", " ", 
            RowBox[{"Plane", " ", "surface"}], " ", "*)"}], 
           "\[IndentingNewLine]", 
           RowBox[{"ParametricPlot3D", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"x", ",", "y", ",", "eB"}], "}"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{"x", ",", 
               RowBox[{"-", "14"}], ",", "6"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"y", ",", "0", ",", "60"}], "}"}], ",", 
             RowBox[{"PlotStyle", "\[Rule]", 
              RowBox[{"GrayLevel", "[", "0.2", "]"}]}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"MeshFunctions", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"#1", "&"}], ",", 
                RowBox[{"#2", "&"}]}], "}"}]}], ",", 
             RowBox[{"Mesh", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Range", "[", 
                 RowBox[{
                  RowBox[{"-", "14"}], ",", "6"}], "]"}], ",", 
                RowBox[{"Range", "[", 
                 RowBox[{"0", ",", "60"}], "]"}]}], "}"}]}], ",", 
             RowBox[{"MeshStyle", "\[Rule]", 
              RowBox[{"Directive", "[", 
               RowBox[{"Black", ",", 
                RowBox[{"Thickness", "[", "0.0008", "]"}]}], "]"}]}]}], "]"}],
            ",", "\[IndentingNewLine]", 
           RowBox[{"(*", " ", 
            RowBox[{"Primitives", " ", "of", " ", "the", " ", "Graphics3D"}], 
            " ", "*)"}], "\[IndentingNewLine]", 
           RowBox[{"Graphics3D", "[", 
            RowBox[{"{", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"Green", ",", 
                RowBox[{"Thickness", "[", "0.0016", "]"}], ",", 
                RowBox[{"Line", "[", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"0.5", ",", "0", ",", "0"}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"0.5", ",", "60", ",", "0"}], "}"}]}], "}"}], 
                 "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Hue", "[", 
                 RowBox[{"0.5", ",", "1", ",", "0.8"}], "]"}], ",", 
                RowBox[{"Thickness", "[", "0.0009", "]"}], ",", 
                RowBox[{"Line", "[", 
                 RowBox[{"Map", "[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "14"}], ",", "#", ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"6", ",", "#", ",", "0"}], "}"}]}], "}"}], "&"}], 
                   ",", "zeta0L"}], "]"}], "]"}]}], "}"}]}], "}"}], "]"}], 
           ",", "\[IndentingNewLine]", 
           RowBox[{"(*", " ", 
            RowBox[{"Disk", " ", "in", " ", "3", "D"}], " ", "*)"}], 
           "\[IndentingNewLine]", 
           RowBox[{"ParametricPlot3D", "[", 
            RowBox[{
             RowBox[{"Map", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"r", " ", 
                    RowBox[{"Cos", "[", "\[Theta]", "]"}]}], "+", "0.5"}], 
                  ",", 
                  RowBox[{
                   RowBox[{"r", " ", 
                    RowBox[{"Sin", "[", "\[Theta]", "]"}]}], "+", "#"}], ",", 
                  "0.02"}], "}"}], "&"}], ",", "zeta0L"}], "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{"r", ",", "0", ",", "0.5"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"\[Theta]", ",", 
               RowBox[{"-", "\[Pi]"}], ",", "\[Pi]"}], "}"}], ",", 
             RowBox[{"PlotPoints", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{"20", ",", "60"}], "}"}]}], ",", "\[IndentingNewLine]", 
             RowBox[{"PlotStyle", "\[Rule]", 
              RowBox[{"Directive", "[", 
               RowBox[{
                RowBox[{"Hue", "[", 
                 RowBox[{"0.82", ",", "0.6"}], "]"}], ",", 
                RowBox[{"Specularity", "[", "0", "]"}]}], "]"}]}], ",", 
             RowBox[{"Mesh", "\[Rule]", "None"}]}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"(*", " ", 
            RowBox[{"Options", " ", "of", " ", "the", " ", "Show"}], " ", 
            "*)"}], "\[IndentingNewLine]", 
           RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
           RowBox[{"ViewPoint", "\[Rule]", 
            RowBox[{"view", "[", "s", "]"}]}], ",", 
           RowBox[{"BoxRatios", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{"1", ",", "3", ",", "1"}], "}"}]}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
           RowBox[{"Axes", "\[Rule]", "None"}], ",", 
           RowBox[{"Background", "\[Rule]", "Black"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"PlotRegion", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0.01", ",", "0.99"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0.01", ",", "0.99"}], "}"}]}], "}"}]}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{"s", ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "}"}]}], "]"}], ",", 
       RowBox[{"ImageSize", "\[Rule]", "630"}], ",", 
       RowBox[{"Spacings", "\[Rule]", "0"}]}], "]"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{
  3.8088839480286903`*^9, {3.836178899050634*^9, 3.836179164488864*^9}, {
   3.836179238424756*^9, 3.836179270964059*^9}, {3.836179316172289*^9, 
   3.8361793942791395`*^9}, {3.8361794298958244`*^9, 3.836179439253049*^9}, {
   3.836179538136337*^9, 3.8361796392302165`*^9}, {3.8361796697856064`*^9, 
   3.8361796712852592`*^9}, {3.8361797086359425`*^9, 3.8361797389101496`*^9}, 
   3.8361797723086233`*^9, {3.836179819610121*^9, 3.8361798983730373`*^9}, {
   3.836179931177904*^9, 3.836180089908225*^9}, {3.8361801473011203`*^9, 
   3.8361803851520195`*^9}, {3.836180549491039*^9, 3.8361806630739813`*^9}, {
   3.8361807252938766`*^9, 3.8361807650033865`*^9}, {3.836180803447566*^9, 
   3.8361808562808695`*^9}, {3.836180915610839*^9, 3.8361809365590897`*^9}, {
   3.836181015400118*^9, 3.8361811281755533`*^9}, {3.836181160449291*^9, 
   3.8361812210601892`*^9}, {3.83618125314647*^9, 3.836181257926608*^9}, {
   3.836181289200554*^9, 3.836181303306645*^9}, {3.8361813502763853`*^9, 
   3.836181480621053*^9}, {3.8361815635861206`*^9, 3.8361815989060307`*^9}, {
   3.8361816368347006`*^9, 3.83618169886714*^9}, {3.8361817413416305`*^9, 
   3.8361817439347773`*^9}, {3.8361818239317865`*^9, 
   3.8361819426257877`*^9}, {3.836182058020811*^9, 3.8361820722831154`*^9}, {
   3.836182146765788*^9, 3.8361821496713595`*^9}, {3.8361821968947415`*^9, 
   3.836182245430316*^9}, {3.8361823038854685`*^9, 3.83618267565833*^9}, {
   3.836182722288103*^9, 3.8361827780719976`*^9}, {3.8361834611024623`*^9, 
   3.8361836204403844`*^9}, {3.836183736278169*^9, 3.8361838145880723`*^9}, {
   3.836183876198735*^9, 3.8361839400432544`*^9}, {3.836183983048869*^9, 
   3.8361840088084993`*^9}, {3.8361840805105658`*^9, 3.836184107582389*^9}, {
   3.8361842111118007`*^9, 3.8361842702230716`*^9}, {3.836184318868002*^9, 
   3.8361843281158504`*^9}, {3.8361843648104367`*^9, 
   3.8361843886955028`*^9}, {3.836184487485013*^9, 3.836184488094247*^9}, {
   3.836184569403449*^9, 3.8361845789012437`*^9}, {3.836184677206489*^9, 
   3.836184694811766*^9}, {3.836184789414752*^9, 3.8361848258281527`*^9}, {
   3.83618488390742*^9, 3.8361850534460917`*^9}, {3.8361850937023473`*^9, 
   3.8361851474554653`*^9}, 3.836185187711718*^9, {3.8361853081787715`*^9, 
   3.8361853116467133`*^9}, {3.8361853465760856`*^9, 3.836185397486112*^9}, {
   3.8361854310095625`*^9, 3.836185504992345*^9}, {3.836185570759383*^9, 
   3.8361855868806334`*^9}, {3.836185656272215*^9, 3.836185710212787*^9}, {
   3.8361857594021816`*^9, 3.836185812764763*^9}, {3.8361859033405137`*^9, 
   3.8361859787880096`*^9}, {3.8361860121396255`*^9, 
   3.8361860261051235`*^9}, {3.8361861020718203`*^9, 3.836186203818655*^9}, {
   3.836186275754952*^9, 3.8361863562362223`*^9}, {3.8361863937587132`*^9, 
   3.8361864241110525`*^9}, {3.836186546160776*^9, 3.836186557642479*^9}, {
   3.8361866244862723`*^9, 3.8361866294382725`*^9}, {3.83618688046207*^9, 
   3.836186963192791*^9}, 3.83618700190256*^9, {3.8361870431741905`*^9, 
   3.8361870666374683`*^9}, {3.83618710342581*^9, 3.8361871102054553`*^9}, 
   3.836187491392164*^9, 3.8361876020070753`*^9, 3.836187826907837*^9, {
   3.8361892998077393`*^9, 3.8361893076545525`*^9}, {3.836189338636207*^9, 
   3.8361893540022345`*^9}, 3.8361894641384277`*^9, {3.8361897255012865`*^9, 
   3.83618975581214*^9}}],

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{"\"\<stereopsis8.png\>\"", ",", "Stereo8", ",", 
   RowBox[{"ImageResolution", "\[Rule]", "200"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.629172579079088*^9, 3.629172606332336*^9}, 
   3.6291729516077423`*^9, {3.6291769649291997`*^9, 3.6291769715436115`*^9}, {
   3.6694294146091456`*^9, 3.669429453390814*^9}, {3.6694295251133394`*^9, 
   3.66942952528494*^9}, {3.669429968483719*^9, 3.6694299792009377`*^9}, 
   3.6695414937726173`*^9, {3.669541542304302*^9, 3.6695415424759026`*^9}, 
   3.6695427872984905`*^9, 3.669542874970644*^9, {3.6696138730631557`*^9, 
   3.6696138903791857`*^9}, {3.6696861629027576`*^9, 3.6696861631211576`*^9}, 
   3.6696862814941654`*^9, 3.66986256065805*^9, 3.6870392901593304`*^9, {
   3.687039490229682*^9, 3.687039497031294*^9}, {3.6870397058220606`*^9, 
   3.687039717615681*^9}, {3.7104498072224054`*^9, 3.7104498169568224`*^9}, 
   3.7104499946099343`*^9, 3.710450869621472*^9, {3.7119561182355337`*^9, 
   3.711956136471966*^9}, 3.711956221055314*^9, 3.7119582648253064`*^9, 
   3.7120398995014544`*^9, {3.712313120838914*^9, 3.7123131210417137`*^9}, {
   3.7326556355609922`*^9, 3.732655660770636*^9}, 3.732657635746906*^9, {
   3.7402166796299*^9, 3.7402167013763385`*^9}, {3.7407684545342298`*^9, 
   3.7407684753758664`*^9}, 3.7407758167939634`*^9, {3.7407763007692137`*^9, 
   3.7407763245436554`*^9}, {3.7407766041429462`*^9, 
   3.7407766173561697`*^9}, {3.7411134740028486`*^9, 
   3.7411134829104643`*^9}, {3.7414207980806737`*^9, 3.741420798283474*^9}, 
   3.744783897470586*^9, {3.7447936789552584`*^9, 3.744793682543265*^9}, 
   3.744852456774804*^9, 3.7448529884293385`*^9, {3.7452073885496655`*^9, 
   3.7452074029640903`*^9}, 3.7460552117927794`*^9, {3.7460559128736105`*^9, 
   3.7460559143244133`*^9}, {3.746991466930862*^9, 3.746991498240117*^9}, 
   3.7469916011066976`*^9, {3.747195658714813*^9, 3.747195677294446*^9}, 
   3.7471972139927454`*^9, 3.7472082014867215`*^9, {3.7472833609617367`*^9, 
   3.747283365080144*^9}, {3.7472973849875746`*^9, 3.7472973942695913`*^9}, 
   3.7482123299439473`*^9, {3.753848474247873*^9, 3.753848493326706*^9}, 
   3.791578362023325*^9, 3.791578711846819*^9, 3.7916240971105227`*^9, {
   3.796780856331231*^9, 3.7967808641419077`*^9}, {3.7967809334125547`*^9, 
   3.796780941770011*^9}, 3.796780987506962*^9, 3.7967810204679894`*^9, 
   3.796781363286549*^9, {3.796781549123394*^9, 3.7967815503106174`*^9}, {
   3.797842192666319*^9, 3.797842192885017*^9}, {3.7978424142313576`*^9, 
   3.7978424160746746`*^9}, 3.835481952808311*^9, 3.8354977812873507`*^9, {
   3.835503278589757*^9, 3.8355032814953575`*^9}, {3.8355149821623707`*^9, 
   3.835514985505341*^9}, {3.835562926944579*^9, 3.835562928834774*^9}, {
   3.8355782754208555`*^9, 3.835578277201689*^9}, {3.836182164011777*^9, 
   3.836182167901495*^9}},
 Background->RGBColor[
  0.9019607843137255, 0.9019607843137255, 0.9019607843137255]]
}, Closed]]
}, Open  ]]
},
WindowSize->{1056, 816},
WindowMargins->{{Automatic, 216}, {Automatic, 0}},
FrontEndVersion->"8.0 for Microsoft Windows (64-bit) (2011\:5e743\:670821\
\:65e5)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 146, 1, 74, "Subtitle"],
Cell[CellGroupData[{
Cell[750, 27, 256, 5, 59, "Subsection"],
Cell[1009, 34, 8877, 178, 460, "Input"],
Cell[9889, 214, 2590, 37, 67, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[12516, 256, 250, 5, 45, "Subsection"],
Cell[12769, 263, 300, 6, 43, "Input"],
Cell[13072, 271, 9157, 180, 541, "Input"],
Cell[22232, 453, 2638, 38, 67, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[24907, 496, 240, 4, 45, "Subsection"],
Cell[25150, 502, 300, 6, 43, "Input"],
Cell[25453, 510, 11616, 236, 603, "Input"],
Cell[37072, 748, 2688, 38, 67, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[39797, 791, 261, 4, 45, "Subsection"],
Cell[40061, 797, 10881, 252, 892, "Input"],
Cell[50945, 1051, 2740, 39, 67, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[53722, 1095, 311, 5, 45, "Subsection"],
Cell[54036, 1102, 1431, 30, 66, "Text"],
Cell[55470, 1134, 13101, 294, 1027, "Input"],
Cell[68574, 1430, 2887, 41, 67, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[71498, 1476, 252, 5, 45, "Subsection"],
Cell[71753, 1483, 28603, 578, 1297, "Input"],
Cell[100359, 2063, 2838, 40, 67, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[103234, 2108, 215, 4, 45, "Subsection"],
Cell[103452, 2114, 1490, 31, 66, "Text"],
Cell[104945, 2147, 1562, 23, 43, "Input"],
Cell[106510, 2172, 18571, 400, 1270, "Input"],
Cell[125084, 2574, 2890, 41, 67, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[128011, 2620, 194, 4, 45, "Subsection"],
Cell[128208, 2626, 20764, 463, 1594, "Input"],
Cell[148975, 3091, 2940, 42, 67, "Input"]
}, Closed]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
